=== modified file 'helpers/basic_auth/MSNT/allowusers.cc'
--- helpers/basic_auth/MSNT/allowusers.cc	2012-01-20 18:55:04 +0000
+++ helpers/basic_auth/MSNT/allowusers.cc	2012-08-21 10:50:22 +0000
@@ -15,8 +15,8 @@
 #include <sys/types.h>
 #include <sys/param.h>
 #include <string.h>
+#include "msntauth.h"
 #include "usersfile.h"
-#include "msntauth.h"
 
 static usersfile AllowUsers;
 static int init = 0;

=== modified file 'helpers/basic_auth/MSNT/denyusers.cc'
--- helpers/basic_auth/MSNT/denyusers.cc	2012-01-20 18:55:04 +0000
+++ helpers/basic_auth/MSNT/denyusers.cc	2012-08-21 10:50:22 +0000
@@ -16,8 +16,8 @@
 #include <sys/types.h>
 #include <sys/param.h>
 #include <string.h>
+#include "msntauth.h"
 #include "usersfile.h"
-#include "msntauth.h"
 
 static usersfile DenyUsers;
 static int init = 0;

=== modified file 'helpers/basic_auth/NCSA/crypt_md5.cc'
--- helpers/basic_auth/NCSA/crypt_md5.cc	2012-07-23 15:15:27 +0000
+++ helpers/basic_auth/NCSA/crypt_md5.cc	2012-08-21 10:50:23 +0000
@@ -23,8 +23,8 @@
 #include <stdio.h>
 #endif
 
+#include "crypt_md5.h"
 #include "md5.h"
-#include "crypt_md5.h"
 
 static unsigned char itoa64[] =	/* 0 ... 63 => ascii - 64 */
     "./0123456789ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz";

=== modified file 'helpers/basic_auth/RADIUS/basic_radius_auth.cc'
--- helpers/basic_auth/RADIUS/basic_radius_auth.cc	2012-07-23 15:15:27 +0000
+++ helpers/basic_auth/RADIUS/basic_radius_auth.cc	2012-08-21 10:50:22 +0000
@@ -48,8 +48,8 @@
 #include "squid.h"
 #include "helpers/defines.h"
 #include "md5.h"
+#include "radius-util.h"
 #include "radius.h"
-#include "radius-util.h"
 
 #if HAVE_SYS_SOCKET_H
 #include <sys/socket.h>

=== modified file 'helpers/negotiate_auth/kerberos/negotiate_kerberos_auth.cc'
--- helpers/negotiate_auth/kerberos/negotiate_kerberos_auth.cc	2012-07-02 12:14:07 +0000
+++ helpers/negotiate_auth/kerberos/negotiate_kerberos_auth.cc	2012-08-21 10:50:22 +0000
@@ -51,8 +51,8 @@
 #include <time.h>
 #endif
 
+#include "base64.h"
 #include "util.h"
-#include "base64.h"
 
 #if HAVE_GSSAPI_GSSAPI_H
 #include <gssapi/gssapi.h>

=== modified file 'lib/libTrie/src/Trie.cc'
--- lib/libTrie/src/Trie.cc	2010-12-14 14:01:14 +0000
+++ lib/libTrie/src/Trie.cc	2012-08-21 10:50:23 +0000
@@ -22,8 +22,8 @@
 #if HAVE_UNISTD_H
 #include <unistd.h>
 #endif
+#include "TrieCharTransform.h"
 #include "TrieNode.h"
-#include "TrieCharTransform.h"
 
 #if !_USE_INLINE_
 #include "Trie.cci"

=== modified file 'lib/libTrie/src/TrieNode.cc'
--- lib/libTrie/src/TrieNode.cc	2010-12-14 14:01:14 +0000
+++ lib/libTrie/src/TrieNode.cc	2012-08-21 10:50:23 +0000
@@ -18,8 +18,8 @@
  */
 
 #include "config.h"
+#include "TrieCharTransform.h"
 #include "TrieNode.h"
-#include "TrieCharTransform.h"
 #if HAVE_UNISTD_H
 #include <unistd.h>
 #endif

=== modified file 'lib/tests/testArray.cc'
--- lib/tests/testArray.cc	2012-01-20 18:55:04 +0000
+++ lib/tests/testArray.cc	2012-08-21 10:50:23 +0000
@@ -5,8 +5,8 @@
 #include <assert.h>
 #endif
 
+#include "Array.h"
 #include "testArray.h"
-#include "Array.h"
 
 CPPUNIT_TEST_SUITE_REGISTRATION( testArray );
 

=== added file 'scripts/sort-includes.pl'
--- scripts/sort-includes.pl	1970-01-01 00:00:00 +0000
+++ scripts/sort-includes.pl	2012-08-21 11:00:20 +0000
@@ -0,0 +1,44 @@
+#!/usr/bin/perl
+#
+# AUTHOR: Francesco Chemolli <kinkie@squid-cache.org> 
+#
+# Part of the Squid Web Cache project, licensed for use and distribution
+# under the terms of the Squid Web Cache; please refer to the files COPYING
+# and COPYRIGHT.
+#
+# 
+# USAGE: sort-includes.pl filename.cc >filename.cc.sorted
+#
+# This tool helps to sort the #include directives in a c or c++ source file
+# according to the Squid Coding guidelines.
+# 
+# The output of the tool is a source file where each block of consecutive
+# include directives for project-specific files (#include "header.h")
+# is sorted with this specification: squid.h (if present) is alwasy first,
+# then the other directives are sorted in case-insensitive alphabetical order.
+#
+# Suggested usage:
+# for file in $(find . -name \*.cc); do /full/path/to/sort-includes.pl $file >$file.sorted; mv $file.sorted $file; done
+
+use strict;
+use warnings;
+my @acc=(); #if empty, we're not accumulating
+while (<>) {
+  if (m!^#include "!) {
+    if (m!squid.h!) {
+      print;
+    } else {
+      push @acc,$_;
+    }
+  } else {
+    &dump_acc;
+    print;
+  }
+}
+&dump_acc;
+
+sub dump_acc {
+  return unless @acc;
+  print sort {lc($a) cmp lc($b)} @acc;
+  @acc=();
+}

=== modified file 'src/AclRegs.cc'
--- src/AclRegs.cc	2012-08-14 11:53:07 +0000
+++ src/AclRegs.cc	2012-08-21 10:50:24 +0000
@@ -23,8 +23,8 @@
 #endif
 #include "acl/FilledChecklist.h"
 #include "acl/Gadgets.h"
+#include "acl/HierCode.h"
 #include "acl/HierCodeData.h"
-#include "acl/HierCode.h"
 #include "acl/HttpHeaderData.h"
 #include "acl/HttpRepHeader.h"
 #include "acl/HttpReqHeader.h"
@@ -34,12 +34,12 @@
 #include "acl/LocalIp.h"
 #include "acl/LocalPort.h"
 #include "acl/MaxConnection.h"
+#include "acl/Method.h"
 #include "acl/MethodData.h"
-#include "acl/Method.h"
 #include "acl/MyPortName.h"
 #include "acl/PeerName.h"
+#include "acl/Protocol.h"
 #include "acl/ProtocolData.h"
-#include "acl/Protocol.h"
 #include "acl/Random.h"
 #include "acl/Referer.h"
 #include "acl/RegexData.h"
@@ -51,24 +51,24 @@
 #include "acl/SourceDomain.h"
 #include "acl/SourceIp.h"
 #if USE_SSL
+#include "acl/Certificate.h"
+#include "acl/CertificateData.h"
+#include "acl/SslError.h"
 #include "acl/SslErrorData.h"
-#include "acl/SslError.h"
-#include "acl/CertificateData.h"
-#include "acl/Certificate.h"
 #endif
 #include "acl/Strategised.h"
 #include "acl/Strategy.h"
 #include "acl/StringData.h"
 #include "acl/Tag.h"
+#include "acl/Time.h"
 #include "acl/TimeData.h"
-#include "acl/Time.h"
 #include "acl/Url.h"
 #include "acl/UrlPath.h"
 #include "acl/UrlPort.h"
 #include "acl/UserData.h"
 #if USE_AUTH
+#include "auth/AclMaxUserIp.h"
 #include "auth/AclProxyAuth.h"
-#include "auth/AclMaxUserIp.h"
 #endif
 #if USE_IDENT
 #include "ident/AclIdent.h"

=== modified file 'src/ChunkedCodingParser.cc'
--- src/ChunkedCodingParser.cc	2012-08-14 11:53:07 +0000
+++ src/ChunkedCodingParser.cc	2012-08-21 10:50:28 +0000
@@ -1,9 +1,9 @@
 #include "squid.h"
 #include "base/TextException.h"
+#include "ChunkedCodingParser.h"
 #include "Debug.h"
+#include "MemBuf.h"
 #include "Parsing.h"
-#include "ChunkedCodingParser.h"
-#include "MemBuf.h"
 
 ChunkedCodingParser::Step ChunkedCodingParser::psChunkSize = &ChunkedCodingParser::parseChunkSize;
 ChunkedCodingParser::Step ChunkedCodingParser::psUnusedChunkExtension = &ChunkedCodingParser::parseUnusedChunkExtension;

=== modified file 'src/DelayPool.cc'
--- src/DelayPool.cc	2012-01-20 18:55:04 +0000
+++ src/DelayPool.cc	2012-08-21 10:50:28 +0000
@@ -39,10 +39,10 @@
 #include "squid.h"
 
 #if USE_DELAY_POOLS
-#include "DelayPool.h"
-#include "CommonPool.h"
 #include "acl/Acl.h"
 #include "acl/Gadgets.h"
+#include "CommonPool.h"
+#include "DelayPool.h"
 #include "Store.h"
 
 DelayPool::DelayPool() : pool (NULL), access (NULL)

=== modified file 'src/DescriptorSet.cc'
--- src/DescriptorSet.cc	2012-08-14 11:53:07 +0000
+++ src/DescriptorSet.cc	2012-08-21 10:50:27 +0000
@@ -4,8 +4,8 @@
  * DEBUG: section 05    Comm
  */
 #include "squid.h"
+#include "DescriptorSet.h"
 #include "globals.h" /* for Squid_MaxFD */
-#include "DescriptorSet.h"
 
 // pre-allocates descriptor store and index for Squid_MaxFD descriptors
 DescriptorSet::DescriptorSet(): descriptors_(NULL), index_(NULL),

=== modified file 'src/DiskIO/AIO/AIODiskIOStrategy.cc'
--- src/DiskIO/AIO/AIODiskIOStrategy.cc	2012-08-14 11:53:07 +0000
+++ src/DiskIO/AIO/AIODiskIOStrategy.cc	2012-08-21 10:50:25 +0000
@@ -43,8 +43,8 @@
  */
 
 #include "squid.h"
+#include "AIODiskFile.h"
 #include "AIODiskIOStrategy.h"
-#include "AIODiskFile.h"
 #include "DiskIO/IORequestor.h"
 #include "DiskIO/ReadRequest.h"
 #include "DiskIO/WriteRequest.h"

=== modified file 'src/DiskIO/AIO/aio_win32.cc'
--- src/DiskIO/AIO/aio_win32.cc	2012-08-15 15:17:32 +0000
+++ src/DiskIO/AIO/aio_win32.cc	2012-08-21 10:50:25 +0000
@@ -34,8 +34,8 @@
  */
 
 #include "squid.h"
+#include "aio_win32.h"
 #include "comm.h"
-#include "aio_win32.h"
 
 #if HAVE_ERRNO_H
 #include <errno.h>

=== modified file 'src/DiskIO/Blocking/BlockingIOStrategy.cc'
--- src/DiskIO/Blocking/BlockingIOStrategy.cc	2012-08-14 11:53:07 +0000
+++ src/DiskIO/Blocking/BlockingIOStrategy.cc	2012-08-21 10:50:25 +0000
@@ -35,8 +35,8 @@
  */
 
 #include "squid.h"
+#include "BlockingFile.h"
 #include "BlockingIOStrategy.h"
-#include "BlockingFile.h"
 #include "protos.h"
 
 bool

=== modified file 'src/DiskIO/DiskDaemon/DiskdAction.cc'
--- src/DiskIO/DiskDaemon/DiskdAction.cc	2012-08-14 11:53:07 +0000
+++ src/DiskIO/DiskDaemon/DiskdAction.cc	2012-08-21 10:50:25 +0000
@@ -12,8 +12,8 @@
 #include "ipc/Messages.h"
 #include "ipc/TypedMsgHdr.h"
 #include "mgr/ActionWriter.h"
+#include "protos.h"
 #include "Store.h"
-#include "protos.h"
 
 
 DiskdActionData::DiskdActionData()

=== modified file 'src/DiskIO/DiskDaemon/DiskdFile.cc'
--- src/DiskIO/DiskDaemon/DiskdFile.cc	2012-08-14 11:53:07 +0000
+++ src/DiskIO/DiskDaemon/DiskdFile.cc	2012-08-21 10:50:25 +0000
@@ -39,9 +39,9 @@
 #include <sys/msg.h>
 #include <sys/shm.h>
 
-#include "DiskdFile.h"
 #include "ConfigOption.h"
 #include "diomsg.h"
+#include "DiskdFile.h"
 
 #include "DiskdIOStrategy.h"
 #include "DiskIO/IORequestor.h"

=== modified file 'src/DiskIO/DiskDaemon/DiskdIOStrategy.cc'
--- src/DiskIO/DiskDaemon/DiskdIOStrategy.cc	2012-08-15 15:17:32 +0000
+++ src/DiskIO/DiskDaemon/DiskdIOStrategy.cc	2012-08-21 10:50:25 +0000
@@ -36,14 +36,14 @@
 #include "squid.h"
 #include "comm/Loops.h"
 #include "ConfigOption.h"
+#include "diomsg.h"
+#include "DiskdFile.h"
 #include "DiskdIOStrategy.h"
 #include "DiskIO/DiskFile.h"
-#include "DiskdFile.h"
-#include "diomsg.h"
 #include "protos.h"
+#include "SquidTime.h"
+#include "StatCounters.h"
 #include "Store.h"
-#include "StatCounters.h"
-#include "SquidTime.h"
 
 #include <sys/ipc.h>
 #include <sys/msg.h>

=== modified file 'src/DiskIO/DiskThreads/DiskThreadsDiskFile.cc'
--- src/DiskIO/DiskThreads/DiskThreadsDiskFile.cc	2012-08-15 15:17:32 +0000
+++ src/DiskIO/DiskThreads/DiskThreadsDiskFile.cc	2012-08-21 10:50:25 +0000
@@ -35,15 +35,15 @@
 
 
 #include "squid.h"
-#include "DiskThreadsDiskFile.h"
 #include "DiskIO/IORequestor.h"
 #include "DiskIO/ReadRequest.h"
 #include "DiskIO/WriteRequest.h"
+#include "DiskThreadsDiskFile.h"
 #include "Generic.h"
 #include "globals.h"
+#include "protos.h"
 #include "StatCounters.h"
 #include "Store.h"
-#include "protos.h"
 
 #if HAVE_ERRNO_H
 #include <errno.h>

=== modified file 'src/DiskIO/DiskThreads/aiops_win32.cc'
--- src/DiskIO/DiskThreads/aiops_win32.cc	2012-08-14 11:53:07 +0000
+++ src/DiskIO/DiskThreads/aiops_win32.cc	2012-08-21 10:50:25 +0000
@@ -35,9 +35,9 @@
  */
 
 #include "squid.h"
-#include "squid_windows.h"
 #include "DiskIO/DiskThreads/CommIO.h"
 #include "DiskThreads.h"
+#include "squid_windows.h"
 #include "SquidTime.h"
 #include "Store.h"
 

=== modified file 'src/DiskIO/DiskThreads/async_io.cc'
--- src/DiskIO/DiskThreads/async_io.cc	2012-08-14 11:53:07 +0000
+++ src/DiskIO/DiskThreads/async_io.cc	2012-08-21 10:50:25 +0000
@@ -36,10 +36,10 @@
 
 #include "squid.h"
 #include "DiskThreads.h"
-#include "Store.h"
+#include "DiskThreadsIOStrategy.h"
 #include "fde.h"
-#include "DiskThreadsIOStrategy.h"
 #include "Generic.h"
+#include "Store.h"
 
 AIOCounts squidaio_counts;
 

=== modified file 'src/EventLoop.cc'
--- src/EventLoop.cc	2012-08-14 11:53:07 +0000
+++ src/EventLoop.cc	2012-08-21 10:50:23 +0000
@@ -33,9 +33,9 @@
  */
 
 #include "squid.h"
+#include "base/AsyncCallQueue.h"
 #include "Debug.h"
 #include "EventLoop.h"
-#include "base/AsyncCallQueue.h"
 
 EventLoop::EventLoop() : errcount(0), last_loop(false), timeService(NULL),
         primaryEngine(NULL)

=== modified file 'src/FadingCounter.cc'
--- src/FadingCounter.cc	2012-08-14 11:53:07 +0000
+++ src/FadingCounter.cc	2012-08-21 10:50:25 +0000
@@ -4,8 +4,8 @@
 
 #include "squid.h"
 #include "base/TextException.h"
+#include "FadingCounter.h"
 #include "SquidTime.h"
-#include "FadingCounter.h"
 
 #if HAVE_MATH_H
 #include <math.h>

=== modified file 'src/HelperChildConfig.cc'
--- src/HelperChildConfig.cc	2012-08-14 11:53:07 +0000
+++ src/HelperChildConfig.cc	2012-08-21 10:50:25 +0000
@@ -1,7 +1,7 @@
 #include "squid.h"
 #include "Debug.h"
+#include "globals.h"
 #include "HelperChildConfig.h"
-#include "globals.h"
 #include "protos.h"
 
 #include <string.h>

=== modified file 'src/HttpHdrCc.cc'
--- src/HttpHdrCc.cc	2012-08-14 11:53:07 +0000
+++ src/HttpHdrCc.cc	2012-08-21 10:50:24 +0000
@@ -32,12 +32,12 @@
 
 #include "squid.h"
 #include "base/StringArea.h"
+#include "HttpHdrCc.h"
 #include "HttpHeader.h"
 #include "HttpHeaderStat.h"
-#include "HttpHdrCc.h"
+#include "protos.h"
 #include "StatHist.h"
 #include "Store.h"
-#include "protos.h"
 
 #if HAVE_MAP
 #include <map>

=== modified file 'src/HttpHdrRange.cc'
--- src/HttpHdrRange.cc	2012-08-14 11:53:07 +0000
+++ src/HttpHdrRange.cc	2012-08-21 10:50:27 +0000
@@ -34,11 +34,11 @@
  */
 
 #include "squid.h"
-#include "Store.h"
+#include "client_side_request.h"
 #include "HttpHeaderRange.h"
-#include "client_side_request.h"
 #include "HttpReply.h"
 #include "protos.h"
+#include "Store.h"
 
 /*
  *    Currently only byte ranges are supported

=== modified file 'src/HttpHdrSc.cc'
--- src/HttpHdrSc.cc	2012-08-14 11:53:07 +0000
+++ src/HttpHdrSc.cc	2012-08-21 10:50:28 +0000
@@ -40,8 +40,8 @@
 #include "HttpHdrSc.h"
 #include "HttpHeader.h"
 #include "HttpHeaderStat.h"
+#include "protos.h"
 #include "Store.h"
-#include "protos.h"
 
 #if HAVE_MAP
 #include <map>

=== modified file 'src/HttpHeaderTools.cc'
--- src/HttpHeaderTools.cc	2012-08-15 15:17:32 +0000
+++ src/HttpHeaderTools.cc	2012-08-21 10:50:24 +0000
@@ -35,8 +35,8 @@
 #include "squid.h"
 #include "acl/FilledChecklist.h"
 #include "acl/Gadgets.h"
+#include "client_side.h"
 #include "client_side_request.h"
-#include "client_side.h"
 #include "comm/Connection.h"
 #include "compat/strtoll.h"
 #include "fde.h"

=== modified file 'src/HttpParser.cc'
--- src/HttpParser.cc	2012-08-14 11:53:07 +0000
+++ src/HttpParser.cc	2012-08-21 10:50:26 +0000
@@ -1,8 +1,8 @@
 #include "squid.h"
 #include "Debug.h"
 #include "HttpParser.h"
+#include "profiler/Profiler.h"
 #include "structs.h"
-#include "profiler/Profiler.h"
 
 void
 HttpParser::clear()

=== modified file 'src/HttpStatusLine.cc'
--- src/HttpStatusLine.cc	2012-08-14 11:53:07 +0000
+++ src/HttpStatusLine.cc	2012-08-21 10:50:24 +0000
@@ -36,8 +36,8 @@
 #include "squid.h"
 #include "Debug.h"
 #include "HttpStatusLine.h"
+#include "Packer.h"
 #include "protos.h"
-#include "Packer.h"
 
 /* local constants */
 /* AYJ: see bug 2469 - RFC2616 confirms stating 'SP characters' plural! */

=== modified file 'src/LeakFinder.cc'
--- src/LeakFinder.cc	2012-08-14 11:53:07 +0000
+++ src/LeakFinder.cc	2012-08-21 10:50:24 +0000
@@ -38,8 +38,8 @@
 
 #include "squid.h"
 #include "LeakFinder.h"
+#include "SquidTime.h"
 #include "Store.h"
-#include "SquidTime.h"
 
 #if USE_LEAKFINDER
 /* ========================================================================= */

=== modified file 'src/MemObject.cc'
--- src/MemObject.cc	2012-08-14 11:53:07 +0000
+++ src/MemObject.cc	2012-08-21 10:50:29 +0000
@@ -41,9 +41,9 @@
 #include "MemBuf.h"
 #include "MemObject.h"
 #include "profiler/Profiler.h"
+#include "protos.h"
 #include "Store.h"
 #include "StoreClient.h"
-#include "protos.h"
 
 #if USE_DELAY_POOLS
 #include "DelayPools.h"

=== modified file 'src/Packer.cc'
--- src/Packer.cc	2012-08-14 11:53:07 +0000
+++ src/Packer.cc	2012-08-21 10:50:25 +0000
@@ -72,8 +72,8 @@
 
 
 #include "squid.h"
+#include "MemBuf.h"
 #include "Store.h"
-#include "MemBuf.h"
 
 /* local types */
 

=== modified file 'src/StoreMeta.cc'
--- src/StoreMeta.cc	2012-08-14 11:53:07 +0000
+++ src/StoreMeta.cc	2012-08-21 10:50:28 +0000
@@ -34,15 +34,15 @@
  */
 
 #include "squid.h"
+#include "MemObject.h"
+#include "Store.h"
 #include "StoreMeta.h"
-#include "Store.h"
-#include "MemObject.h"
 #include "StoreMetaMD5.h"
-#include "StoreMetaURL.h"
+#include "StoreMetaObjSize.h"
 #include "StoreMetaSTD.h"
 #include "StoreMetaSTDLFS.h"
+#include "StoreMetaURL.h"
 #include "StoreMetaVary.h"
-#include "StoreMetaObjSize.h"
 
 bool
 StoreMeta::validType(char type)

=== modified file 'src/StoreMetaSTD.cc'
--- src/StoreMetaSTD.cc	2012-08-14 11:53:07 +0000
+++ src/StoreMetaSTD.cc	2012-08-21 10:50:29 +0000
@@ -34,9 +34,9 @@
  */
 
 #include "squid.h"
+#include "MemObject.h"
+#include "Store.h"
 #include "StoreMetaSTD.h"
-#include "Store.h"
-#include "MemObject.h"
 
 bool
 StoreMetaSTD::validLength(int len) const

=== modified file 'src/StoreMetaSTDLFS.cc'
--- src/StoreMetaSTDLFS.cc	2012-08-14 11:53:07 +0000
+++ src/StoreMetaSTDLFS.cc	2012-08-21 10:50:25 +0000
@@ -33,9 +33,9 @@
  */
 
 #include "squid.h"
+#include "MemObject.h"
+#include "Store.h"
 #include "StoreMetaSTDLFS.h"
-#include "Store.h"
-#include "MemObject.h"
 
 bool
 StoreMetaSTDLFS::validLength(int len) const

=== modified file 'src/StoreMetaURL.cc'
--- src/StoreMetaURL.cc	2012-08-14 11:53:07 +0000
+++ src/StoreMetaURL.cc	2012-08-21 10:50:28 +0000
@@ -34,9 +34,9 @@
  */
 
 #include "squid.h"
+#include "MemObject.h"
+#include "Store.h"
 #include "StoreMetaURL.h"
-#include "Store.h"
-#include "MemObject.h"
 
 bool
 StoreMetaURL::checkConsistency(StoreEntry *e) const

=== modified file 'src/StoreMetaUnpacker.cc'
--- src/StoreMetaUnpacker.cc	2012-08-14 11:53:07 +0000
+++ src/StoreMetaUnpacker.cc	2012-08-21 10:50:24 +0000
@@ -34,10 +34,10 @@
  */
 
 #include "squid.h"
+#include "Debug.h"
 #include "defines.h"
-#include "Debug.h"
+#include "StoreMeta.h"
 #include "StoreMetaUnpacker.h"
-#include "StoreMeta.h"
 
 int const StoreMetaUnpacker::MinimumBufferLength = sizeof(char) + sizeof(int);
 

=== modified file 'src/StoreMetaVary.cc'
--- src/StoreMetaVary.cc	2012-08-14 11:53:07 +0000
+++ src/StoreMetaVary.cc	2012-08-21 10:50:24 +0000
@@ -34,9 +34,9 @@
  */
 
 #include "squid.h"
+#include "MemObject.h"
+#include "Store.h"
 #include "StoreMetaVary.h"
-#include "Store.h"
-#include "MemObject.h"
 
 bool
 StoreMetaVary::checkConsistency(StoreEntry *e) const

=== modified file 'src/acl/Asn.cc'
--- src/acl/Asn.cc	2012-08-14 11:53:07 +0000
+++ src/acl/Asn.cc	2012-08-21 10:50:29 +0000
@@ -34,21 +34,21 @@
  */
 
 #include "squid.h"
-#include "mgr/Registration.h"
-#include "radix.h"
-#include "HttpRequest.h"
-#include "StoreClient.h"
-#include "Store.h"
 #include "acl/Acl.h"
 #include "acl/Asn.h"
 #include "acl/Checklist.h"
-#include "acl/SourceAsn.h"
 #include "acl/DestinationAsn.h"
 #include "acl/DestinationIp.h"
+#include "acl/SourceAsn.h"
+#include "forward.h"
 #include "HttpReply.h"
+#include "HttpRequest.h"
 #include "ipcache.h"
-#include "forward.h"
+#include "mgr/Registration.h"
 #include "protos.h"
+#include "radix.h"
+#include "Store.h"
+#include "StoreClient.h"
 #include "wordlist.h"
 
 #define WHOIS_PORT 43

=== modified file 'src/acl/Browser.cc'
--- src/acl/Browser.cc	2012-08-14 11:53:07 +0000
+++ src/acl/Browser.cc	2012-08-21 10:50:29 +0000
@@ -35,8 +35,8 @@
  */
 
 #include "squid.h"
+#include "acl/Browser.h"
 #include "acl/Checklist.h"
-#include "acl/Browser.h"
 #include "acl/RegexData.h"
 
 /* explicit template instantiation required for some systems */

=== modified file 'src/acl/Certificate.cc'
--- src/acl/Certificate.cc	2012-08-14 11:53:07 +0000
+++ src/acl/Certificate.cc	2012-08-21 10:50:29 +0000
@@ -42,12 +42,12 @@
 #if USE_SSL
 
 #include "acl/Certificate.h"
+#include "acl/CertificateData.h"
 #include "acl/Checklist.h"
-#include "acl/CertificateData.h"
-#include "HttpRequest.h"
 #include "client_side.h"
 #include "fde.h"
 #include "globals.h"
+#include "HttpRequest.h"
 
 
 int

=== modified file 'src/acl/DestinationDomain.cc'
--- src/acl/DestinationDomain.cc	2012-08-14 11:53:07 +0000
+++ src/acl/DestinationDomain.cc	2012-08-21 10:50:29 +0000
@@ -35,10 +35,10 @@
  */
 
 #include "squid.h"
+#include "acl/Checklist.h"
 #include "acl/DestinationDomain.h"
-#include "acl/Checklist.h"
+#include "acl/DomainData.h"
 #include "acl/RegexData.h"
-#include "acl/DomainData.h"
 #include "HttpRequest.h"
 #include "ipcache.h"
 #include "protos.h"

=== modified file 'src/acl/DomainData.cc'
--- src/acl/DomainData.cc	2012-08-14 11:53:07 +0000
+++ src/acl/DomainData.cc	2012-08-21 10:50:29 +0000
@@ -35,8 +35,8 @@
  */
 
 #include "squid.h"
+#include "acl/Checklist.h"
 #include "acl/DomainData.h"
-#include "acl/Checklist.h"
 #include "Debug.h"
 #include "protos.h"
 #include "wordlist.h"

=== modified file 'src/acl/FilledChecklist.cc'
--- src/acl/FilledChecklist.cc	2012-08-14 11:53:07 +0000
+++ src/acl/FilledChecklist.cc	2012-08-21 10:50:29 +0000
@@ -6,8 +6,8 @@
 #include "HttpReply.h"
 #include "HttpRequest.h"
 #if USE_AUTH
+#include "auth/AclProxyAuth.h"
 #include "auth/UserRequest.h"
-#include "auth/AclProxyAuth.h"
 #endif
 
 

=== modified file 'src/acl/Gadgets.cc'
--- src/acl/Gadgets.cc	2012-08-14 11:53:07 +0000
+++ src/acl/Gadgets.cc	2012-08-21 10:50:29 +0000
@@ -41,8 +41,8 @@
 #include "squid.h"
 #include "acl/Acl.h"
 #include "acl/Checklist.h"
+#include "acl/Gadgets.h"
 #include "acl/Strategised.h"
-#include "acl/Gadgets.h"
 #include "ConfigParser.h"
 #include "errorpage.h"
 #include "globals.h"

=== modified file 'src/acl/HierCode.cc'
--- src/acl/HierCode.cc	2012-08-14 11:53:07 +0000
+++ src/acl/HierCode.cc	2012-08-21 10:50:29 +0000
@@ -1,7 +1,7 @@
 #include "squid.h"
+#include "acl/Checklist.h"
 #include "acl/HierCode.h"
 #include "acl/HierCodeData.h"
-#include "acl/Checklist.h"
 #include "HttpRequest.h"
 
 /* explicit template instantiation required for some systems */

=== modified file 'src/acl/HierCodeData.cc'
--- src/acl/HierCodeData.cc	2012-08-14 11:53:07 +0000
+++ src/acl/HierCodeData.cc	2012-08-21 10:50:29 +0000
@@ -1,6 +1,6 @@
 #include "squid.h"
+#include "acl/Checklist.h"
 #include "acl/HierCodeData.h"
-#include "acl/Checklist.h"
 #include "hier_code.h"
 #include "protos.h"
 #include "wordlist.h"

=== modified file 'src/acl/HttpHeaderData.cc'
--- src/acl/HttpHeaderData.cc	2012-08-14 11:53:07 +0000
+++ src/acl/HttpHeaderData.cc	2012-08-21 10:50:29 +0000
@@ -35,14 +35,14 @@
  */
 
 #include "squid.h"
+#include "acl/Acl.h"
+#include "acl/Checklist.h"
 #include "acl/HttpHeaderData.h"
-#include "acl/Checklist.h"
-#include "acl/Acl.h"
 #include "acl/RegexData.h"
+#include "ConfigParser.h"
 #include "Debug.h"
 #include "protos.h"
 #include "wordlist.h"
-#include "ConfigParser.h"
 
 /* Construct an ACLHTTPHeaderData that uses an ACLRegex rule with the value of the
  * selected header from a given request.

=== modified file 'src/acl/HttpRepHeader.cc'
--- src/acl/HttpRepHeader.cc	2012-08-14 11:53:07 +0000
+++ src/acl/HttpRepHeader.cc	2012-08-21 10:50:29 +0000
@@ -34,9 +34,9 @@
  */
 
 #include "squid.h"
+#include "acl/Checklist.h"
+#include "acl/HttpHeaderData.h"
 #include "acl/HttpRepHeader.h"
-#include "acl/HttpHeaderData.h"
-#include "acl/Checklist.h"
 #include "HttpReply.h"
 
 

=== modified file 'src/acl/HttpReqHeader.cc'
--- src/acl/HttpReqHeader.cc	2012-08-14 11:53:07 +0000
+++ src/acl/HttpReqHeader.cc	2012-08-21 10:50:29 +0000
@@ -34,9 +34,9 @@
  */
 
 #include "squid.h"
+#include "acl/Checklist.h"
+#include "acl/HttpHeaderData.h"
 #include "acl/HttpReqHeader.h"
-#include "acl/HttpHeaderData.h"
-#include "acl/Checklist.h"
 #include "HttpRequest.h"
 
 

=== modified file 'src/acl/HttpStatus.cc'
--- src/acl/HttpStatus.cc	2012-08-14 11:53:07 +0000
+++ src/acl/HttpStatus.cc	2012-08-21 10:50:29 +0000
@@ -36,8 +36,8 @@
 
 #include "squid.h"
 
+#include "acl/FilledChecklist.h"
 #include "acl/HttpStatus.h"
-#include "acl/FilledChecklist.h"
 #include "Debug.h"
 #include "HttpReply.h"
 #include "protos.h"

=== modified file 'src/acl/IntRange.cc'
--- src/acl/IntRange.cc	2012-08-14 11:53:07 +0000
+++ src/acl/IntRange.cc	2012-08-21 10:50:29 +0000
@@ -37,9 +37,9 @@
 #include "squid.h"
 #include "acl/IntRange.h"
 #include "Debug.h"
-#include "wordlist.h"
 #include "Parsing.h"
 #include "protos.h"
+#include "wordlist.h"
 
 /* explicit instantiation required for some systems */
 /** \cond AUTODOCS-IGNORE */

=== modified file 'src/acl/Ip.cc'
--- src/acl/Ip.cc	2012-08-14 11:53:07 +0000
+++ src/acl/Ip.cc	2012-08-21 10:50:29 +0000
@@ -34,8 +34,8 @@
  */
 
 #include "squid.h"
+#include "acl/Checklist.h"
 #include "acl/Ip.h"
-#include "acl/Checklist.h"
 #include "Debug.h"
 #include "ip/tools.h"
 #include "MemBuf.h"

=== modified file 'src/acl/LocalIp.cc'
--- src/acl/LocalIp.cc	2012-08-14 11:53:07 +0000
+++ src/acl/LocalIp.cc	2012-08-21 10:50:29 +0000
@@ -34,8 +34,8 @@
  */
 
 #include "squid.h"
+#include "acl/FilledChecklist.h"
 #include "acl/LocalIp.h"
-#include "acl/FilledChecklist.h"
 
 char const *
 ACLLocalIP::typeString() const

=== modified file 'src/acl/LocalPort.cc'
--- src/acl/LocalPort.cc	2012-08-14 11:53:07 +0000
+++ src/acl/LocalPort.cc	2012-08-21 10:50:29 +0000
@@ -34,9 +34,9 @@
  */
 
 #include "squid.h"
+#include "acl/Checklist.h"
+#include "acl/IntRange.h"
 #include "acl/LocalPort.h"
-#include "acl/IntRange.h"
-#include "acl/Checklist.h"
 
 int
 ACLLocalPortStrategy::match (ACLData<MatchType> * &data, ACLFilledChecklist *checklist)

=== modified file 'src/acl/Method.cc'
--- src/acl/Method.cc	2012-08-14 11:53:07 +0000
+++ src/acl/Method.cc	2012-08-21 10:50:29 +0000
@@ -34,9 +34,9 @@
  */
 
 #include "squid.h"
+#include "acl/Checklist.h"
 #include "acl/Method.h"
 #include "acl/MethodData.h"
-#include "acl/Checklist.h"
 #include "HttpRequest.h"
 
 /* explicit template instantiation required for some systems */

=== modified file 'src/acl/MethodData.cc'
--- src/acl/MethodData.cc	2012-08-14 11:53:07 +0000
+++ src/acl/MethodData.cc	2012-08-21 10:50:29 +0000
@@ -35,8 +35,8 @@
  */
 
 #include "squid.h"
+#include "acl/Checklist.h"
 #include "acl/MethodData.h"
-#include "acl/Checklist.h"
 #include "HttpRequestMethod.h"
 #include "protos.h"
 #include "wordlist.h"

=== modified file 'src/acl/MyPortName.cc'
--- src/acl/MyPortName.cc	2012-08-14 11:53:07 +0000
+++ src/acl/MyPortName.cc	2012-08-21 10:50:29 +0000
@@ -34,9 +34,9 @@
  */
 
 #include "squid.h"
+#include "acl/Checklist.h"
 #include "acl/MyPortName.h"
 #include "acl/StringData.h"
-#include "acl/Checklist.h"
 #include "anyp/PortCfg.h"
 #include "HttpRequest.h"
 

=== modified file 'src/acl/PeerName.cc'
--- src/acl/PeerName.cc	2012-08-14 11:53:07 +0000
+++ src/acl/PeerName.cc	2012-08-21 10:50:29 +0000
@@ -1,8 +1,8 @@
 #include "squid.h"
+#include "acl/Checklist.h"
 #include "acl/PeerName.h"
 #include "acl/RegexData.h"
 #include "acl/StringData.h"
-#include "acl/Checklist.h"
 
 
 

=== modified file 'src/acl/Protocol.cc'
--- src/acl/Protocol.cc	2012-08-14 11:53:07 +0000
+++ src/acl/Protocol.cc	2012-08-21 10:50:29 +0000
@@ -34,9 +34,9 @@
  */
 
 #include "squid.h"
+#include "acl/Checklist.h"
 #include "acl/Protocol.h"
 #include "acl/ProtocolData.h"
-#include "acl/Checklist.h"
 #include "HttpRequest.h"
 
 /* explicit template instantiation required for some systems */

=== modified file 'src/acl/ProtocolData.cc'
--- src/acl/ProtocolData.cc	2012-08-14 11:53:07 +0000
+++ src/acl/ProtocolData.cc	2012-08-21 10:50:29 +0000
@@ -35,8 +35,8 @@
  */
 
 #include "squid.h"
+#include "acl/Checklist.h"
 #include "acl/ProtocolData.h"
-#include "acl/Checklist.h"
 #include "Debug.h"
 #include "protos.h"
 #include "URLScheme.h"

=== modified file 'src/acl/Referer.cc'
--- src/acl/Referer.cc	2012-08-14 11:53:07 +0000
+++ src/acl/Referer.cc	2012-08-21 10:50:29 +0000
@@ -35,8 +35,8 @@
  */
 
 #include "squid.h"
+#include "acl/Checklist.h"
 #include "acl/Referer.h"
-#include "acl/Checklist.h"
 #include "acl/RegexData.h"
 
 /* explicit template instantiation required for some systems */

=== modified file 'src/acl/RegexData.cc'
--- src/acl/RegexData.cc	2012-08-14 11:53:07 +0000
+++ src/acl/RegexData.cc	2012-08-21 10:50:29 +0000
@@ -37,9 +37,9 @@
  */
 
 #include "squid.h"
+#include "acl/Acl.h"
+#include "acl/Checklist.h"
 #include "acl/RegexData.h"
-#include "acl/Checklist.h"
-#include "acl/Acl.h"
 #include "ConfigParser.h"
 #include "Debug.h"
 #include "protos.h"

=== modified file 'src/acl/ReplyMimeType.cc'
--- src/acl/ReplyMimeType.cc	2012-08-14 11:53:07 +0000
+++ src/acl/ReplyMimeType.cc	2012-08-21 10:50:29 +0000
@@ -35,9 +35,9 @@
  */
 
 #include "squid.h"
-#include "acl/ReplyMimeType.h"
 #include "acl/Checklist.h"
 #include "acl/RegexData.h"
+#include "acl/ReplyMimeType.h"
 
 /* explicit template instantiation required for some systems */
 

=== modified file 'src/acl/RequestMimeType.cc'
--- src/acl/RequestMimeType.cc	2012-08-14 11:53:07 +0000
+++ src/acl/RequestMimeType.cc	2012-08-21 10:50:29 +0000
@@ -35,9 +35,9 @@
  */
 
 #include "squid.h"
-#include "acl/RequestMimeType.h"
 #include "acl/Checklist.h"
 #include "acl/RegexData.h"
+#include "acl/RequestMimeType.h"
 
 /* explicit template instantiation required for some systems */
 

=== modified file 'src/acl/SourceDomain.cc'
--- src/acl/SourceDomain.cc	2012-08-14 11:53:07 +0000
+++ src/acl/SourceDomain.cc	2012-08-21 10:50:29 +0000
@@ -35,10 +35,10 @@
  */
 
 #include "squid.h"
-#include "acl/SourceDomain.h"
 #include "acl/Checklist.h"
+#include "acl/DomainData.h"
 #include "acl/RegexData.h"
-#include "acl/DomainData.h"
+#include "acl/SourceDomain.h"
 #include "HttpRequest.h"
 #include "protos.h"
 

=== modified file 'src/acl/SourceIp.cc'
--- src/acl/SourceIp.cc	2012-08-14 11:53:07 +0000
+++ src/acl/SourceIp.cc	2012-08-21 10:50:29 +0000
@@ -34,8 +34,8 @@
  */
 
 #include "squid.h"
+#include "acl/FilledChecklist.h"
 #include "acl/SourceIp.h"
-#include "acl/FilledChecklist.h"
 
 char const *
 ACLSourceIP::typeString() const

=== modified file 'src/acl/SslError.cc'
--- src/acl/SslError.cc	2012-08-14 11:53:07 +0000
+++ src/acl/SslError.cc	2012-08-21 10:50:29 +0000
@@ -4,9 +4,9 @@
  */
 
 #include "squid.h"
+#include "acl/Checklist.h"
 #include "acl/SslError.h"
 #include "acl/SslErrorData.h"
-#include "acl/Checklist.h"
 
 int
 ACLSslErrorStrategy::match (ACLData<MatchType> * &data, ACLFilledChecklist *checklist)

=== modified file 'src/acl/SslErrorData.cc'
--- src/acl/SslErrorData.cc	2012-08-14 11:53:07 +0000
+++ src/acl/SslErrorData.cc	2012-08-21 10:50:29 +0000
@@ -3,8 +3,8 @@
  */
 
 #include "squid.h"
+#include "acl/Checklist.h"
 #include "acl/SslErrorData.h"
-#include "acl/Checklist.h"
 #include "protos.h"
 #include "wordlist.h"
 

=== modified file 'src/acl/StringData.cc'
--- src/acl/StringData.cc	2012-08-14 11:53:07 +0000
+++ src/acl/StringData.cc	2012-08-21 10:50:29 +0000
@@ -35,8 +35,8 @@
  */
 
 #include "squid.h"
+#include "acl/Checklist.h"
 #include "acl/StringData.h"
-#include "acl/Checklist.h"
 #include "protos.h"
 #include "wordlist.h"
 

=== modified file 'src/acl/Tag.cc'
--- src/acl/Tag.cc	2012-08-14 11:53:07 +0000
+++ src/acl/Tag.cc	2012-08-21 10:50:29 +0000
@@ -35,9 +35,9 @@
  */
 
 #include "squid.h"
+#include "acl/Checklist.h"
+#include "acl/StringData.h"
 #include "acl/Tag.h"
-#include "acl/StringData.h"
-#include "acl/Checklist.h"
 #include "HttpRequest.h"
 
 int

=== modified file 'src/acl/TimeData.cc'
--- src/acl/TimeData.cc	2012-08-14 11:53:07 +0000
+++ src/acl/TimeData.cc	2012-08-21 10:50:29 +0000
@@ -35,8 +35,8 @@
  */
 
 #include "squid.h"
+#include "acl/Checklist.h"
 #include "acl/TimeData.h"
-#include "acl/Checklist.h"
 #include "Debug.h"
 #include "protos.h"
 #include "wordlist.h"

=== modified file 'src/acl/Url.cc'
--- src/acl/Url.cc	2012-08-14 11:53:07 +0000
+++ src/acl/Url.cc	2012-08-21 10:50:29 +0000
@@ -35,9 +35,9 @@
  */
 
 #include "squid.h"
-#include "acl/Url.h"
 #include "acl/Checklist.h"
 #include "acl/RegexData.h"
+#include "acl/Url.h"
 #include "protos.h"
 #include "rfc1738.h"
 

=== modified file 'src/acl/UrlPath.cc'
--- src/acl/UrlPath.cc	2012-08-14 11:53:07 +0000
+++ src/acl/UrlPath.cc	2012-08-21 10:50:29 +0000
@@ -35,9 +35,9 @@
  */
 
 #include "squid.h"
-#include "acl/UrlPath.h"
 #include "acl/Checklist.h"
 #include "acl/RegexData.h"
+#include "acl/UrlPath.h"
 #include "HttpRequest.h"
 #include "rfc1738.h"
 

=== modified file 'src/acl/UrlPort.cc'
--- src/acl/UrlPort.cc	2012-08-14 11:53:07 +0000
+++ src/acl/UrlPort.cc	2012-08-21 10:50:29 +0000
@@ -34,9 +34,9 @@
  */
 
 #include "squid.h"
+#include "acl/Checklist.h"
+#include "acl/IntRange.h"
 #include "acl/UrlPort.h"
-#include "acl/IntRange.h"
-#include "acl/Checklist.h"
 #include "HttpRequest.h"
 
 

=== modified file 'src/acl/UserData.cc'
--- src/acl/UserData.cc	2012-08-14 11:53:07 +0000
+++ src/acl/UserData.cc	2012-08-21 10:50:29 +0000
@@ -35,11 +35,11 @@
  */
 
 #include "squid.h"
+#include "acl/Checklist.h"
 #include "acl/UserData.h"
-#include "acl/Checklist.h"
+#include "ConfigParser.h"
 #include "Debug.h"
 #include "wordlist.h"
-#include "ConfigParser.h"
 
 template<class T>
 inline void

=== modified file 'src/adaptation/AccessRule.cc'
--- src/adaptation/AccessRule.cc	2012-08-14 11:53:07 +0000
+++ src/adaptation/AccessRule.cc	2012-08-21 10:50:27 +0000
@@ -1,11 +1,11 @@
 #include "squid.h"
 #include "structs.h"
 
-#include "ConfigParser.h"
 #include "acl/Gadgets.h"
 #include "adaptation/AccessRule.h"
 #include "adaptation/Service.h"
 #include "adaptation/ServiceGroups.h"
+#include "ConfigParser.h"
 #include "Debug.h"
 
 int Adaptation::AccessRule::LastId = 0;

=== modified file 'src/adaptation/Initiate.cc'
--- src/adaptation/Initiate.cc	2012-08-14 11:53:07 +0000
+++ src/adaptation/Initiate.cc	2012-08-21 10:50:27 +0000
@@ -3,11 +3,11 @@
  */
 
 #include "squid.h"
-#include "HttpMsg.h"
 #include "adaptation/Answer.h"
+#include "adaptation/Initiate.h"
 #include "adaptation/Initiator.h"
-#include "adaptation/Initiate.h"
 #include "base/AsyncJobCalls.h"
+#include "HttpMsg.h"
 
 namespace Adaptation
 {

=== modified file 'src/adaptation/Iterator.cc'
--- src/adaptation/Iterator.cc	2012-08-14 11:53:07 +0000
+++ src/adaptation/Iterator.cc	2012-08-21 10:50:27 +0000
@@ -10,9 +10,9 @@
 #include "adaptation/ServiceFilter.h"
 #include "adaptation/ServiceGroups.h"
 #include "base/TextException.h"
+#include "HttpMsg.h"
+#include "HttpReply.h"
 #include "HttpRequest.h"
-#include "HttpReply.h"
-#include "HttpMsg.h"
 
 
 Adaptation::Iterator::Iterator(

=== modified file 'src/adaptation/Service.cc'
--- src/adaptation/Service.cc	2012-08-14 11:53:07 +0000
+++ src/adaptation/Service.cc	2012-08-21 10:50:27 +0000
@@ -3,9 +3,9 @@
  */
 
 #include "squid.h"
+#include "adaptation/Service.h"
+#include "adaptation/ServiceFilter.h"
 #include "HttpRequest.h"
-#include "adaptation/ServiceFilter.h"
-#include "adaptation/Service.h"
 
 Adaptation::Service::Service(const ServiceConfigPointer &aConfig): theConfig(aConfig)
 {

=== modified file 'src/adaptation/ServiceFilter.cc'
--- src/adaptation/ServiceFilter.cc	2012-08-14 11:53:07 +0000
+++ src/adaptation/ServiceFilter.cc	2012-08-21 10:50:27 +0000
@@ -1,7 +1,7 @@
 #include "squid.h"
+#include "adaptation/ServiceFilter.h"
+#include "HttpReply.h"
 #include "HttpRequest.h"
-#include "HttpReply.h"
-#include "adaptation/ServiceFilter.h"
 
 
 Adaptation::ServiceFilter::ServiceFilter(Method aMethod, VectPoint aPoint,

=== modified file 'src/adaptation/ecap/Config.cc'
--- src/adaptation/ecap/Config.cc	2012-08-14 11:53:07 +0000
+++ src/adaptation/ecap/Config.cc	2012-08-21 10:50:27 +0000
@@ -4,9 +4,9 @@
  */
 #include "squid.h"
 
+#include "adaptation/ecap/Config.h"
 #include "adaptation/ecap/Host.h"
 #include "adaptation/ecap/ServiceRep.h"
-#include "adaptation/ecap/Config.h"
 
 Adaptation::Ecap::Config Adaptation::Ecap::TheConfig;
 

=== modified file 'src/adaptation/ecap/Host.cc'
--- src/adaptation/ecap/Host.cc	2012-08-14 11:53:07 +0000
+++ src/adaptation/ecap/Host.cc	2012-08-21 10:50:27 +0000
@@ -5,12 +5,12 @@
 #include <libecap/adapter/service.h>
 #include <libecap/common/names.h>
 #include <libecap/common/registry.h>
-#include "base/TextException.h"
-#include "adaptation/ecap/ServiceRep.h"
 #include "adaptation/ecap/Host.h"
 #include "adaptation/ecap/MessageRep.h"
+#include "adaptation/ecap/ServiceRep.h"
+#include "base/TextException.h"
+#include "HttpReply.h"
 #include "HttpRequest.h"
-#include "HttpReply.h"
 
 const libecap::Name Adaptation::Ecap::protocolInternal("internal", libecap::Name::NextId());
 const libecap::Name Adaptation::Ecap::protocolCacheObj("cache_object", libecap::Name::NextId());

=== modified file 'src/adaptation/ecap/MessageRep.cc'
--- src/adaptation/ecap/MessageRep.cc	2012-08-14 11:53:07 +0000
+++ src/adaptation/ecap/MessageRep.cc	2012-08-21 10:50:27 +0000
@@ -2,16 +2,16 @@
  * DEBUG: section 93    eCAP Interface
  */
 #include "squid.h"
+#include "BodyPipe.h"
+#include "HttpReply.h"
 #include "HttpRequest.h"
-#include "HttpReply.h"
-#include "BodyPipe.h"
 #include <libecap/common/names.h>
 #include <libecap/common/area.h>
 #include <libecap/common/version.h>
 #include <libecap/common/named_values.h>
+#include "adaptation/ecap/Host.h" /* for protocol constants */
 #include "adaptation/ecap/MessageRep.h"
 #include "adaptation/ecap/XactionRep.h"
-#include "adaptation/ecap/Host.h" /* for protocol constants */
 #include "base/TextException.h"
 
 /* HeaderRep */

=== modified file 'src/adaptation/ecap/XactionRep.cc'
--- src/adaptation/ecap/XactionRep.cc	2012-08-14 11:53:07 +0000
+++ src/adaptation/ecap/XactionRep.cc	2012-08-21 10:50:27 +0000
@@ -7,14 +7,14 @@
 #include <libecap/common/named_values.h>
 #include <libecap/common/names.h>
 #include <libecap/adapter/xaction.h>
-#include "HttpRequest.h"
-#include "HttpReply.h"
-#include "SquidTime.h"
 #include "adaptation/Answer.h"
+#include "adaptation/ecap/Config.h"
 #include "adaptation/ecap/XactionRep.h"
-#include "adaptation/ecap/Config.h"
 #include "adaptation/Initiator.h"
 #include "base/TextException.h"
+#include "HttpReply.h"
+#include "HttpRequest.h"
+#include "SquidTime.h"
 
 CBDATA_NAMESPACED_CLASS_INIT(Adaptation::Ecap::XactionRep, XactionRep);
 

=== modified file 'src/adaptation/icap/Client.cc'
--- src/adaptation/icap/Client.cc	2012-08-14 11:53:07 +0000
+++ src/adaptation/icap/Client.cc	2012-08-21 10:50:27 +0000
@@ -1,6 +1,6 @@
 #include "squid.h"
+#include "adaptation/icap/Client.h"
 #include "Debug.h"
-#include "adaptation/icap/Client.h"
 
 void Adaptation::Icap::InitModule()
 {

=== modified file 'src/adaptation/icap/Config.cc'
--- src/adaptation/icap/Config.cc	2012-08-14 11:53:07 +0000
+++ src/adaptation/icap/Config.cc	2012-08-21 10:50:27 +0000
@@ -34,13 +34,13 @@
 
 #include "squid.h"
 
-#include "ConfigParser.h"
-#include "Store.h"
-#include "Array.h"
 #include "adaptation/icap/Config.h"
 #include "adaptation/icap/ServiceRep.h"
+#include "Array.h"
+#include "ConfigParser.h"
+#include "HttpReply.h"
 #include "HttpRequest.h"
-#include "HttpReply.h"
+#include "Store.h"
 #include "wordlist.h"
 
 Adaptation::Icap::Config Adaptation::Icap::TheConfig;

=== modified file 'src/adaptation/icap/Launcher.cc'
--- src/adaptation/icap/Launcher.cc	2012-08-14 11:53:07 +0000
+++ src/adaptation/icap/Launcher.cc	2012-08-21 10:50:27 +0000
@@ -5,15 +5,15 @@
 #include "squid.h"
 #include "acl/FilledChecklist.h"
 #include "adaptation/Answer.h"
+#include "adaptation/icap/Config.h"
 #include "adaptation/icap/Launcher.h"
+#include "adaptation/icap/ServiceRep.h"
 #include "adaptation/icap/Xaction.h"
-#include "adaptation/icap/ServiceRep.h"
-#include "adaptation/icap/Config.h"
 #include "base/TextException.h"
 #include "globals.h"
 #include "HttpMsg.h"
+#include "HttpReply.h"
 #include "HttpRequest.h"
-#include "HttpReply.h"
 
 
 Adaptation::Icap::Launcher::Launcher(const char *aTypeName,

=== modified file 'src/adaptation/icap/icap_log.cc'
--- src/adaptation/icap/icap_log.cc	2012-08-14 11:53:07 +0000
+++ src/adaptation/icap/icap_log.cc	2012-08-21 10:50:27 +0000
@@ -1,6 +1,6 @@
 #include "squid.h"
+#include "AccessLogEntry.h"
 #include "icap_log.h"
-#include "AccessLogEntry.h"
 #include "log/File.h"
 #include "log/Formats.h"
 

=== modified file 'src/auth/Acl.cc'
--- src/auth/Acl.cc	2012-08-14 11:53:07 +0000
+++ src/auth/Acl.cc	2012-08-21 10:50:26 +0000
@@ -1,9 +1,9 @@
 #include "squid.h"
 #include "acl/Acl.h"
 #include "acl/FilledChecklist.h"
-#include "auth/UserRequest.h"
 #include "auth/Acl.h"
 #include "auth/AclProxyAuth.h"
+#include "auth/UserRequest.h"
 #include "client_side.h"
 #include "HttpRequest.h"
 

=== modified file 'src/auth/AclMaxUserIp.cc'
--- src/auth/AclMaxUserIp.cc	2012-08-14 11:53:07 +0000
+++ src/auth/AclMaxUserIp.cc	2012-08-21 10:50:26 +0000
@@ -8,10 +8,10 @@
 #include "auth/Acl.h"
 #include "auth/AclMaxUserIp.h"
 #include "auth/UserRequest.h"
+#include "ConfigParser.h"
 #include "Debug.h"
 #include "protos.h"
 #include "wordlist.h"
-#include "ConfigParser.h"
 
 ACL *
 ACLMaxUserIP::clone() const

=== modified file 'src/auth/AclProxyAuth.cc'
--- src/auth/AclProxyAuth.cc	2012-08-14 11:53:07 +0000
+++ src/auth/AclProxyAuth.cc	2012-08-21 10:50:26 +0000
@@ -33,16 +33,16 @@
  */
 
 #include "squid.h"
-#include "auth/AclProxyAuth.h"
-#include "auth/Gadgets.h"
 #include "acl/FilledChecklist.h"
+#include "acl/RegexData.h"
 #include "acl/UserData.h"
-#include "acl/RegexData.h"
-#include "client_side.h"
-#include "HttpRequest.h"
 #include "auth/Acl.h"
+#include "auth/AclProxyAuth.h"
+#include "auth/Gadgets.h"
 #include "auth/User.h"
 #include "auth/UserRequest.h"
+#include "client_side.h"
+#include "HttpRequest.h"
 
 ACLProxyAuth::~ACLProxyAuth()
 {

=== modified file 'src/auth/Gadgets.cc'
--- src/auth/Gadgets.cc	2012-08-14 11:53:07 +0000
+++ src/auth/Gadgets.cc	2012-08-21 10:50:26 +0000
@@ -39,13 +39,13 @@
 #include "squid.h"
 #include "acl/Acl.h"
 #include "acl/FilledChecklist.h"
-#include "client_side.h"
+#include "auth/AclProxyAuth.h"
 #include "auth/Config.h"
+#include "auth/Gadgets.h"
 #include "auth/Scheme.h"
-#include "auth/Gadgets.h"
 #include "auth/User.h"
 #include "auth/UserRequest.h"
-#include "auth/AclProxyAuth.h"
+#include "client_side.h"
 #include "globals.h"
 #include "HttpReply.h"
 #include "HttpRequest.h"

=== modified file 'src/auth/Scheme.cc'
--- src/auth/Scheme.cc	2012-08-14 11:53:07 +0000
+++ src/auth/Scheme.cc	2012-08-21 10:50:26 +0000
@@ -34,9 +34,9 @@
  */
 
 #include "squid.h"
+#include "auth/Config.h"
+#include "auth/Gadgets.h"
 #include "auth/Scheme.h"
-#include "auth/Gadgets.h"
-#include "auth/Config.h"
 #include "globals.h"
 
 Vector<Auth::Scheme::Pointer> *Auth::Scheme::_Schemes = NULL;

=== modified file 'src/auth/User.cc'
--- src/auth/User.cc	2012-08-14 11:53:07 +0000
+++ src/auth/User.cc	2012-08-21 10:50:26 +0000
@@ -34,12 +34,12 @@
  */
 
 #include "squid.h"
+#include "acl/Acl.h"
+#include "acl/Gadgets.h"
+#include "auth/Config.h"
+#include "auth/Gadgets.h"
 #include "auth/User.h"
 #include "auth/UserRequest.h"
-#include "auth/Config.h"
-#include "auth/Gadgets.h"
-#include "acl/Acl.h"
-#include "acl/Gadgets.h"
 #include "event.h"
 #include "globals.h"
 #include "SquidTime.h"

=== modified file 'src/auth/UserRequest.cc'
--- src/auth/UserRequest.cc	2012-08-14 11:53:07 +0000
+++ src/auth/UserRequest.cc	2012-08-21 10:50:26 +0000
@@ -42,8 +42,8 @@
 #include "squid.h"
 #include "auth/Config.h"
 #include "auth/Scheme.h"
+#include "auth/User.h"
 #include "auth/UserRequest.h"
-#include "auth/User.h"
 #include "client_side.h"
 #include "comm/Connection.h"
 #include "HttpReply.h"

=== modified file 'src/auth/basic/auth_basic.cc'
--- src/auth/basic/auth_basic.cc	2012-08-14 11:53:07 +0000
+++ src/auth/basic/auth_basic.cc	2012-08-21 10:50:26 +0000
@@ -45,14 +45,14 @@
 #include "auth/Gadgets.h"
 #include "auth/State.h"
 #include "charset.h"
+#include "HttpReply.h"
 #include "mgr/Registration.h"
-#include "Store.h"
-#include "HttpReply.h"
 #include "protos.h"
 #include "rfc1738.h"
+#include "SquidTime.h"
+#include "Store.h"
 #include "uudecode.h"
 #include "wordlist.h"
-#include "SquidTime.h"
 
 /* Basic Scheme */
 static AUTHSSTATS authenticateBasicStats;

=== modified file 'src/auth/digest/auth_digest.cc'
--- src/auth/digest/auth_digest.cc	2012-08-14 11:53:07 +0000
+++ src/auth/digest/auth_digest.cc	2012-08-21 10:50:26 +0000
@@ -38,23 +38,23 @@
 
 
 #include "squid.h"
-#include "rfc2617.h"
 #include "auth/digest/auth_digest.h"
 #include "auth/digest/Scheme.h"
 #include "auth/digest/User.h"
 #include "auth/digest/UserRequest.h"
 #include "auth/Gadgets.h"
 #include "auth/State.h"
+#include "base/StringArea.h"
 #include "base64.h"
-#include "base/StringArea.h"
 #include "event.h"
+#include "HttpReply.h"
+#include "HttpRequest.h"
 #include "mgr/Registration.h"
+#include "protos.h"
+#include "rfc2617.h"
+#include "SquidTime.h"
 #include "Store.h"
-#include "HttpRequest.h"
-#include "HttpReply.h"
-#include "protos.h"
 #include "wordlist.h"
-#include "SquidTime.h"
 
 /* Digest Scheme */
 

=== modified file 'src/auth/negotiate/auth_negotiate.cc'
--- src/auth/negotiate/auth_negotiate.cc	2012-08-14 11:53:07 +0000
+++ src/auth/negotiate/auth_negotiate.cc	2012-08-21 10:50:26 +0000
@@ -38,19 +38,19 @@
 
 
 #include "squid.h"
+#include "auth/Gadgets.h"
 #include "auth/negotiate/auth_negotiate.h"
-#include "auth/Gadgets.h"
+#include "auth/negotiate/Scheme.h"
+#include "auth/negotiate/User.h"
+#include "auth/negotiate/UserRequest.h"
 #include "auth/State.h"
-#include "mgr/Registration.h"
-#include "Store.h"
 #include "client_side.h"
 #include "HttpReply.h"
 #include "HttpRequest.h"
+#include "mgr/Registration.h"
 #include "protos.h"
 #include "SquidTime.h"
-#include "auth/negotiate/Scheme.h"
-#include "auth/negotiate/User.h"
-#include "auth/negotiate/UserRequest.h"
+#include "Store.h"
 #include "wordlist.h"
 
 /**

=== modified file 'src/auth/ntlm/auth_ntlm.cc'
--- src/auth/ntlm/auth_ntlm.cc	2012-08-14 11:53:07 +0000
+++ src/auth/ntlm/auth_ntlm.cc	2012-08-21 10:50:26 +0000
@@ -44,14 +44,14 @@
 #include "auth/ntlm/User.h"
 #include "auth/ntlm/UserRequest.h"
 #include "auth/State.h"
-#include "mgr/Registration.h"
-#include "Store.h"
 #include "client_side.h"
 #include "HttpReply.h"
 #include "HttpRequest.h"
+#include "mgr/Registration.h"
 #include "protos.h"
+#include "SquidTime.h"
+#include "Store.h"
 #include "wordlist.h"
-#include "SquidTime.h"
 
 /* NTLM Scheme */
 static AUTHSSTATS authenticateNTLMStats;

=== modified file 'src/base/AsyncCallQueue.cc'
--- src/base/AsyncCallQueue.cc	2012-08-14 11:53:07 +0000
+++ src/base/AsyncCallQueue.cc	2012-08-21 10:50:26 +0000
@@ -7,8 +7,8 @@
  */
 
 #include "squid.h"
+#include "base/AsyncCall.h"
 #include "base/AsyncCallQueue.h"
-#include "base/AsyncCall.h"
 #include "Debug.h"
 
 AsyncCallQueue *AsyncCallQueue::TheInstance = 0;

=== modified file 'src/cache_cf.cc'
--- src/cache_cf.cc	2012-08-14 11:53:07 +0000
+++ src/cache_cf.cc	2012-08-21 10:50:27 +0000
@@ -71,8 +71,8 @@
 #include "adaptation/ecap/Config.h"
 #endif
 #if USE_SSL
+#include "ssl/Config.h"
 #include "ssl/support.h"
-#include "ssl/Config.h"
 #endif
 #if USE_AUTH
 #include "auth/Config.h"
@@ -1610,8 +1610,8 @@
 
 #if USE_DELAY_POOLS
 
+#include "DelayConfig.h"
 #include "DelayPools.h"
-#include "DelayConfig.h"
 /* do nothing - free_delay_pool_count is the magic free function.
  * this is why delay_pool_count isn't just marked TYPE: u_short
  */

=== modified file 'src/cache_manager.cc'
--- src/cache_manager.cc	2012-01-27 12:28:26 +0000
+++ src/cache_manager.cc	2012-08-21 10:50:28 +0000
@@ -42,8 +42,8 @@
 #include "fde.h"
 #include "HttpReply.h"
 #include "HttpRequest.h"
+#include "mgr/Action.h"
 #include "mgr/ActionCreator.h"
-#include "mgr/Action.h"
 #include "mgr/ActionProfile.h"
 #include "mgr/BasicActions.h"
 #include "mgr/Command.h"

=== modified file 'src/clientStream.cc'
--- src/clientStream.cc	2012-08-14 11:53:07 +0000
+++ src/clientStream.cc	2012-08-21 10:50:27 +0000
@@ -34,10 +34,10 @@
  */
 
 #include "squid.h"
+#include "client_side_request.h"
 #include "clientStream.h"
 #include "HttpReply.h"
 #include "HttpRequest.h"
-#include "client_side_request.h"
 
 /**
  \defgroup ClientStreamInternal Client Streams Internals

=== modified file 'src/client_db.cc'
--- src/client_db.cc	2012-08-14 11:53:07 +0000
+++ src/client_db.cc	2012-08-21 10:50:28 +0000
@@ -33,9 +33,9 @@
  */
 
 #include "squid.h"
+#include "ClientInfo.h"
 #include "event.h"
 #include "format/Token.h"
-#include "ClientInfo.h"
 #include "ip/Address.h"
 #include "mgr/Registration.h"
 #include "protos.h"

=== modified file 'src/client_side.cc'
--- src/client_side.cc	2012-08-14 11:53:07 +0000
+++ src/client_side.cc	2012-08-21 10:50:24 +0000
@@ -88,9 +88,9 @@
 #include "base/Subscription.h"
 #include "base/TextException.h"
 #include "ChunkedCodingParser.h"
+#include "client_side.h"
 #include "client_side_reply.h"
 #include "client_side_request.h"
-#include "client_side.h"
 #include "ClientRequestContext.h"
 #include "clientStream.h"
 #include "comm.h"
@@ -129,14 +129,14 @@
 #endif
 #if USE_SSL
 #include "ssl/context_storage.h"
+#include "ssl/gadgets.h"
 #include "ssl/helper.h"
 #include "ssl/ServerBump.h"
 #include "ssl/support.h"
-#include "ssl/gadgets.h"
 #endif
 #if USE_SSL_CRTD
+#include "ssl/certificate_db.h"
 #include "ssl/crtd_message.h"
-#include "ssl/certificate_db.h"
 #endif
 
 #if HAVE_LIMITS_H

=== modified file 'src/client_side_reply.cc'
--- src/client_side_reply.cc	2012-08-14 11:53:07 +0000
+++ src/client_side_reply.cc	2012-08-21 10:50:28 +0000
@@ -35,8 +35,8 @@
 #include "acl/FilledChecklist.h"
 #include "acl/Gadgets.h"
 #include "anyp/PortCfg.h"
+#include "client_side.h"
 #include "client_side_reply.h"
-#include "client_side.h"
 #include "clientStream.h"
 #include "dlink.h"
 #include "errorpage.h"

=== modified file 'src/client_side_request.cc'
--- src/client_side_request.cc	2012-08-14 11:53:07 +0000
+++ src/client_side_request.cc	2012-08-21 10:50:26 +0000
@@ -46,10 +46,10 @@
 #include "acl/FilledChecklist.h"
 #include "acl/Gadgets.h"
 #include "anyp/PortCfg.h"
-#include "ClientRequestContext.h"
 #include "client_side.h"
 #include "client_side_reply.h"
 #include "client_side_request.h"
+#include "ClientRequestContext.h"
 #include "clientStream.h"
 #include "comm/Connection.h"
 #include "comm/Write.h"
@@ -61,8 +61,8 @@
 #include "HttpHdrCc.h"
 #include "HttpReply.h"
 #include "HttpRequest.h"
+#include "ip/QosConfig.h"
 #include "ipcache.h"
-#include "ip/QosConfig.h"
 #include "MemObject.h"
 #include "profiler/Profiler.h"
 #include "protos.h"
@@ -82,8 +82,8 @@
 #endif
 #endif
 #if USE_SSL
+#include "ssl/ServerBump.h"
 #include "ssl/support.h"
-#include "ssl/ServerBump.h"
 #endif
 
 

=== modified file 'src/comm.cc'
--- src/comm.cc	2012-08-15 15:17:32 +0000
+++ src/comm.cc	2012-08-21 10:50:26 +0000
@@ -34,16 +34,16 @@
 
 #include "squid.h"
 #include "base/AsyncCall.h"
+#include "ClientInfo.h"
 #include "comm.h"
-#include "ClientInfo.h"
-#include "CommCalls.h"
 #include "comm/AcceptLimiter.h"
 #include "comm/comm_internal.h"
 #include "comm/Connection.h"
 #include "comm/IoCallback.h"
 #include "comm/Loops.h"
+#include "comm/TcpAcceptor.h"
 #include "comm/Write.h"
-#include "comm/TcpAcceptor.h"
+#include "CommCalls.h"
 #include "CommRead.h"
 #include "compat/cmsg.h"
 #include "DescriptorSet.h"
@@ -57,8 +57,8 @@
 #include "ip/tools.h"
 #include "MemBuf.h"
 #include "pconn.h"
+#include "profiler/Profiler.h"
 #include "protos.h"
-#include "profiler/Profiler.h"
 #include "SquidTime.h"
 #include "StatCounters.h"
 #include "StoreIOBuffer.h"

=== modified file 'src/comm/ConnOpener.cc'
--- src/comm/ConnOpener.cc	2012-08-15 15:17:32 +0000
+++ src/comm/ConnOpener.cc	2012-08-21 10:50:25 +0000
@@ -3,16 +3,16 @@
  */
 
 #include "squid.h"
+#include "comm.h"
+#include "comm/Connection.h"
 #include "comm/ConnOpener.h"
-#include "comm/Connection.h"
 #include "comm/Loops.h"
-#include "comm.h"
 #include "fde.h"
 #include "globals.h"
 #include "icmp/net_db.h"
 #include "ipcache.h"
+#include "protos.h"
 #include "SquidTime.h"
-#include "protos.h"
 
 #if HAVE_ERRNO_H
 #include <errno.h>

=== modified file 'src/comm/TcpAcceptor.cc'
--- src/comm/TcpAcceptor.cc	2012-08-15 15:17:32 +0000
+++ src/comm/TcpAcceptor.cc	2012-08-21 10:50:25 +0000
@@ -35,11 +35,11 @@
 #include "squid.h"
 #include "base/TextException.h"
 #include "comm/AcceptLimiter.h"
-#include "CommCalls.h"
 #include "comm/comm_internal.h"
 #include "comm/Connection.h"
 #include "comm/Loops.h"
 #include "comm/TcpAcceptor.h"
+#include "CommCalls.h"
 #include "fde.h"
 #include "ip/Intercept.h"
 #include "profiler/Profiler.h"

=== modified file 'src/debug.cc'
--- src/debug.cc	2012-08-06 17:41:08 +0000
+++ src/debug.cc	2012-08-21 10:50:29 +0000
@@ -34,9 +34,9 @@
 
 #include "squid.h"
 #include "Debug.h"
+#include "ipc/Kids.h"
 #include "SquidTime.h"
 #include "util.h"
-#include "ipc/Kids.h"
 
 /* for shutting_down flag in xassert() */
 #include "globals.h"

=== modified file 'src/delay_pools.cc'
--- src/delay_pools.cc	2012-08-14 11:53:07 +0000
+++ src/delay_pools.cc	2012-08-21 10:50:26 +0000
@@ -63,8 +63,8 @@
 #include "NullDelayId.h"
 #include "SquidString.h"
 #include "SquidTime.h"
+#include "Store.h"
 #include "StoreClient.h"
-#include "Store.h"
 
 /// \ingroup DelayPoolsInternal
 long DelayPools::MemoryUsed = 0;

=== modified file 'src/dns.cc'
--- src/dns.cc	2012-08-14 11:53:07 +0000
+++ src/dns.cc	2012-08-21 10:50:23 +0000
@@ -34,11 +34,11 @@
  */
 
 #include "squid.h"
+#include "helper.h"
+#include "mgr/Registration.h"
+#include "SquidTime.h"
 #include "Store.h"
 #include "wordlist.h"
-#include "SquidTime.h"
-#include "mgr/Registration.h"
-#include "helper.h"
 
 /* MS VisualStudio Projects are monolitich, so we need the following
    #if to include the external DNS code in compile process when

=== modified file 'src/dns_internal.cc'
--- src/dns_internal.cc	2012-08-15 15:17:32 +0000
+++ src/dns_internal.cc	2012-08-21 10:50:26 +0000
@@ -34,9 +34,9 @@
 
 #include "squid.h"
 #include "base/InstanceId.h"
+#include "comm.h"
 #include "comm/Connection.h"
 #include "comm/ConnOpener.h"
-#include "comm.h"
 #include "comm/Loops.h"
 #include "comm/Write.h"
 #include "event.h"

=== modified file 'src/errorpage.cc'
--- src/errorpage.cc	2012-08-14 11:53:07 +0000
+++ src/errorpage.cc	2012-08-21 10:50:26 +0000
@@ -43,15 +43,15 @@
 #if USE_SSL
 #include "ssl/ErrorDetailManager.h"
 #endif
-#include "Store.h"
+#include "fde.h"
 #include "html_quote.h"
 #include "HttpReply.h"
 #include "HttpRequest.h"
+#include "MemBuf.h"
 #include "MemObject.h"
-#include "fde.h"
-#include "MemBuf.h"
 #include "protos.h"
 #include "rfc1738.h"
+#include "Store.h"
 #include "URLScheme.h"
 #include "wordlist.h"
 

=== modified file 'src/esi/Context.cc'
--- src/esi/Context.cc	2012-08-14 11:53:07 +0000
+++ src/esi/Context.cc	2012-08-21 10:50:24 +0000
@@ -40,9 +40,9 @@
  */
 #if (USE_SQUID_ESI == 1)
 
+#include "client_side_request.h"
 #include "esi/Context.h"
 #include "Store.h"
-#include "client_side_request.h"
 
 void
 ESIContext::updateCachedAST()

=== modified file 'src/esi/CustomParser.cc'
--- src/esi/CustomParser.cc	2012-08-14 11:53:07 +0000
+++ src/esi/CustomParser.cc	2012-08-21 10:50:24 +0000
@@ -35,8 +35,8 @@
 
 #include "squid.h"
 #include "Array.h"
+#include "Debug.h"
 #include "esi/CustomParser.h"
-#include "Debug.h"
 #include "Trie.h"
 #include "TrieCharTransform.h"
 

=== modified file 'src/esi/Esi.cc'
--- src/esi/Esi.cc	2012-08-14 11:53:07 +0000
+++ src/esi/Esi.cc	2012-08-21 10:50:24 +0000
@@ -38,8 +38,8 @@
  */
 #if (USE_SQUID_ESI == 1)
 
+#include "client_side.h"
 #include "client_side_request.h"
-#include "client_side.h"
 #include "clientStream.h"
 #include "comm/Connection.h"
 #include "errorpage.h"

=== modified file 'src/esi/Module.cc'
--- src/esi/Module.cc	2012-08-14 11:53:07 +0000
+++ src/esi/Module.cc	2012-08-21 10:50:24 +0000
@@ -1,8 +1,8 @@
 #include "squid.h"
-#include "esi/Module.h"
 #include "esi/CustomParser.h"
+#include "esi/ExpatParser.h" /* must follow esi/Libxml2Parser.h */
 #include "esi/Libxml2Parser.h"
-#include "esi/ExpatParser.h" /* must follow esi/Libxml2Parser.h */
+#include "esi/Module.h"
 
 static ESIParser::Register *prCustom = 0;
 #if HAVE_LIBXML2

=== modified file 'src/esi/Sequence.cc'
--- src/esi/Sequence.cc	2012-08-14 11:53:07 +0000
+++ src/esi/Sequence.cc	2012-08-21 10:50:24 +0000
@@ -42,10 +42,10 @@
  */
 #if (USE_SQUID_ESI == 1)
 
-#include "esi/Sequence.h"
-#include "esi/Literal.h"
 #include "esi/Attempt.h"
 #include "esi/Except.h"
+#include "esi/Literal.h"
+#include "esi/Sequence.h"
 
 class esiExcept;
 

=== modified file 'src/event.cc'
--- src/event.cc	2012-08-14 11:53:07 +0000
+++ src/event.cc	2012-08-21 10:50:26 +0000
@@ -36,10 +36,10 @@
 #include "compat/drand48.h"
 #include "event.h"
 #include "mgr/Registration.h"
-#include "Store.h"
-#include "SquidTime.h"
 #include "profiler/Profiler.h"
 #include "protos.h"
+#include "SquidTime.h"
+#include "Store.h"
 
 /* The list of event processes */
 

=== modified file 'src/external_acl.cc'
--- src/external_acl.cc	2012-08-14 11:53:07 +0000
+++ src/external_acl.cc	2012-08-21 10:50:27 +0000
@@ -45,8 +45,8 @@
 #include "acl/FilledChecklist.h"
 #include "client_side.h"
 #include "comm/Connection.h"
+#include "ExternalACL.h"
 #include "ExternalACLEntry.h"
-#include "ExternalACL.h"
 #include "fde.h"
 #include "helper.h"
 #include "HttpReply.h"

=== modified file 'src/forward.cc'
--- src/forward.cc	2012-08-15 15:17:32 +0000
+++ src/forward.cc	2012-08-21 10:50:25 +0000
@@ -62,9 +62,9 @@
 #include "SquidTime.h"
 #include "Store.h"
 #if USE_SSL
-#include "ssl/support.h"
 #include "ssl/ErrorDetail.h"
 #include "ssl/ServerBump.h"
+#include "ssl/support.h"
 #endif
 #if HAVE_ERRNO_H
 #include <errno.h>

=== modified file 'src/fs/coss/StoreFScoss.cc'
--- src/fs/coss/StoreFScoss.cc	2012-01-20 18:55:04 +0000
+++ src/fs/coss/StoreFScoss.cc	2012-08-21 10:50:26 +0000
@@ -34,12 +34,12 @@
  */
 
 #include "squid.h"
-#include "StoreFileSystem.h"
-#include "StoreFScoss.h"
+#include "CossSwapDir.h"
 #include "mgr/Registration.h"
 #include "Store.h"
-#include "CossSwapDir.h"
 #include "store_coss.h"
+#include "StoreFileSystem.h"
+#include "StoreFScoss.h"
 
 StoreFScoss StoreFScoss::_instance;
 

=== modified file 'src/fs/coss/store_dir_coss.cc'
--- src/fs/coss/store_dir_coss.cc	2012-08-15 15:17:32 +0000
+++ src/fs/coss/store_dir_coss.cc	2012-08-21 10:50:26 +0000
@@ -34,21 +34,21 @@
  */
 
 #include "squid.h"
+#include "ConfigOption.h"
 #include "CossSwapDir.h"
-#include "Store.h"
-#include "store_coss.h"
-#include "event.h"
-#include "fde.h"
-#include "SwapDir.h"
-#include "StoreSwapLogData.h"
 #include "DiskIO/DiskIOModule.h"
 #include "DiskIO/DiskIOStrategy.h"
 #include "DiskIO/ReadRequest.h"
-#include "ConfigOption.h"
+#include "event.h"
+#include "fde.h"
+#include "Parsing.h"
+#include "SquidMath.h"
+#include "Store.h"
+#include "store_coss.h"
 #include "StoreFScoss.h"
-#include "Parsing.h"
+#include "StoreSwapLogData.h"
 #include "swap_log_op.h"
-#include "SquidMath.h"
+#include "SwapDir.h"
 
 #if HAVE_ERRNO_H
 #include <errno.h>

=== modified file 'src/fs/coss/store_io_coss.cc'
--- src/fs/coss/store_io_coss.cc	2012-08-14 11:53:07 +0000
+++ src/fs/coss/store_io_coss.cc	2012-08-21 10:50:26 +0000
@@ -35,13 +35,13 @@
 
 #include "squid.h"
 #include "CossSwapDir.h"
+#include "DiskIO/DiskIOStrategy.h"
+#include "fde.h"
+#include "MemObject.h"
 #include "Store.h"
 #include "store_coss.h"
-#include "MemObject.h"
-#include "fde.h"
+#include "StoreFScoss.h"
 #include "SwapDir.h"
-#include "StoreFScoss.h"
-#include "DiskIO/DiskIOStrategy.h"
 
 CBDATA_TYPE(CossMemBuf);
 

=== modified file 'src/fs/diskd/StoreFSdiskd.cc'
--- src/fs/diskd/StoreFSdiskd.cc	2012-08-10 06:56:49 +0000
+++ src/fs/diskd/StoreFSdiskd.cc	2012-08-21 10:50:26 +0000
@@ -37,8 +37,8 @@
 
 #include "squid.h"
 #if 0
+#include "DiskIO/DiskIOModule.h"
 #include "StoreFileSystem.h"
-#include "DiskIO/DiskIOModule.h"
 #endif
 
 #include "fs/ufs/StoreFSufs.h"

=== modified file 'src/fs/rock/RockIoState.cc'
--- src/fs/rock/RockIoState.cc	2012-08-14 11:53:07 +0000
+++ src/fs/rock/RockIoState.cc	2012-08-21 10:50:26 +0000
@@ -5,15 +5,15 @@
  */
 
 #include "squid.h"
-#include "MemObject.h"
-#include "Parsing.h"
 #include "DiskIO/DiskIOModule.h"
 #include "DiskIO/DiskIOStrategy.h"
 #include "DiskIO/WriteRequest.h"
+#include "fs/rock/RockIoRequests.h"
 #include "fs/rock/RockIoState.h"
-#include "fs/rock/RockIoRequests.h"
 #include "fs/rock/RockSwapDir.h"
 #include "globals.h"
+#include "MemObject.h"
+#include "Parsing.h"
 
 Rock::IoState::IoState(SwapDir *dir,
                        StoreEntry *anEntry,

=== modified file 'src/fs/rock/RockRebuild.cc'
--- src/fs/rock/RockRebuild.cc	2012-08-15 15:17:32 +0000
+++ src/fs/rock/RockRebuild.cc	2012-08-21 10:50:27 +0000
@@ -5,13 +5,13 @@
  */
 
 #include "squid.h"
+#include "fs/rock/RockDbCell.h"
 #include "fs/rock/RockRebuild.h"
 #include "fs/rock/RockSwapDir.h"
-#include "fs/rock/RockDbCell.h"
 #include "md5.h"
 #include "protos.h"
+#include "SquidTime.h"
 #include "typedefs.h"
-#include "SquidTime.h"
 
 #if HAVE_ERRNO_H
 #include <errno.h>

=== modified file 'src/fs/rock/RockSwapDir.cc'
--- src/fs/rock/RockSwapDir.cc	2012-08-14 11:53:07 +0000
+++ src/fs/rock/RockSwapDir.cc	2012-08-21 10:50:27 +0000
@@ -10,10 +10,10 @@
 #include "DiskIO/DiskIOStrategy.h"
 #include "DiskIO/ReadRequest.h"
 #include "DiskIO/WriteRequest.h"
-#include "fs/rock/RockSwapDir.h"
+#include "fs/rock/RockIoRequests.h"
 #include "fs/rock/RockIoState.h"
-#include "fs/rock/RockIoRequests.h"
 #include "fs/rock/RockRebuild.h"
+#include "fs/rock/RockSwapDir.h"
 #include "ipc/mem/Pages.h"
 #include "MemObject.h"
 #include "Parsing.h"

=== modified file 'src/fs/ufs/UFSStoreState.cc'
--- src/fs/ufs/UFSStoreState.cc	2012-08-14 11:53:07 +0000
+++ src/fs/ufs/UFSStoreState.cc	2012-08-21 10:50:26 +0000
@@ -34,16 +34,16 @@
  */
 
 #include "squid.h"
-#include "Store.h"
-#include "Generic.h"
 #include "DiskIO/DiskFile.h"
 #include "DiskIO/DiskIOStrategy.h"
 #include "DiskIO/ReadRequest.h"
 #include "DiskIO/WriteRequest.h"
+#include "Generic.h"
 #include "protos.h"
+#include "Store.h"
 #include "SwapDir.h"
+#include "UFSStoreState.h"
 #include "UFSStrategy.h"
-#include "UFSStoreState.h"
 
 
 CBDATA_NAMESPACED_CLASS_INIT(Fs::Ufs,UFSStoreState);

=== modified file 'src/fs/ufs/UFSStrategy.cc'
--- src/fs/ufs/UFSStrategy.cc	2012-08-11 00:14:47 +0000
+++ src/fs/ufs/UFSStrategy.cc	2012-08-21 10:50:26 +0000
@@ -32,8 +32,8 @@
 #include "squid.h"
 
 #include "DiskIO/DiskIOStrategy.h"
+#include "UFSStoreState.h"
 #include "UFSStrategy.h"
-#include "UFSStoreState.h"
 #include "UFSSwapDir.h"
 
 bool

=== modified file 'src/fs/ufs/UFSSwapDir.cc'
--- src/fs/ufs/UFSSwapDir.cc	2012-08-15 15:17:32 +0000
+++ src/fs/ufs/UFSSwapDir.cc	2012-08-21 10:50:26 +0000
@@ -35,17 +35,17 @@
 
 #include "ConfigOption.h"
 #include "DiskIO/DiskIOModule.h"
+#include "DiskIO/DiskIOStrategy.h"
+#include "fde.h"
 #include "FileMap.h"
-#include "fde.h"
 #include "Parsing.h"
 #include "protos.h"
 #include "RebuildState.h"
 #include "SquidMath.h"
-#include "DiskIO/DiskIOStrategy.h"
+#include "SquidTime.h"
+#include "StatCounters.h"
 #include "StoreSearchUFS.h"
 #include "StoreSwapLogData.h"
-#include "SquidTime.h"
-#include "StatCounters.h"
 #include "UFSSwapDir.h"
 
 #if HAVE_MATH_H

=== modified file 'src/http.cc'
--- src/http.cc	2012-08-14 11:53:07 +0000
+++ src/http.cc	2012-08-21 10:50:25 +0000
@@ -40,17 +40,17 @@
 
 #include "squid.h"
 #include "acl/FilledChecklist.h"
-#include "base64.h"
 #include "base/AsyncJobCalls.h"
 #include "base/TextException.h"
+#include "base64.h"
 #include "client_side.h"
 #include "comm/Connection.h"
 #include "comm/Write.h"
 #include "err_detail_type.h"
 #include "errorpage.h"
 #include "fde.h"
+#include "http.h"
 #include "HttpControlMsg.h"
-#include "http.h"
 #include "HttpHdrCc.h"
 #include "HttpHdrContRange.h"
 #include "HttpHdrSc.h"

=== modified file 'src/icmp/Icmp.cc'
--- src/icmp/Icmp.cc	2012-08-14 11:53:07 +0000
+++ src/icmp/Icmp.cc	2012-08-21 10:50:25 +0000
@@ -32,9 +32,9 @@
  *
  */
 #include "squid.h"
+#include "Debug.h"
 #include "Icmp.h"
 #include "SquidTime.h"
-#include "Debug.h"
 
 Icmp::Icmp()
 {

=== modified file 'src/icmp/Icmp4.cc'
--- src/icmp/Icmp4.cc	2012-08-14 11:53:07 +0000
+++ src/icmp/Icmp4.cc	2012-08-21 10:50:25 +0000
@@ -37,11 +37,11 @@
 
 #if USE_ICMP
 
+#include "Debug.h"
+#include "Icmp4.h"
+#include "IcmpPinger.h"
 #include "leakcheck.h"
 #include "SquidTime.h"
-#include "Icmp4.h"
-#include "IcmpPinger.h"
-#include "Debug.h"
 
 const char *icmpPktStr[] = {
     "Echo Reply",

=== modified file 'src/icmp/Icmp6.cc'
--- src/icmp/Icmp6.cc	2012-08-14 11:53:07 +0000
+++ src/icmp/Icmp6.cc	2012-08-21 10:50:25 +0000
@@ -37,11 +37,11 @@
 
 #if USE_ICMP
 
-#include "leakcheck.h"
-#include "SquidTime.h"
 #include "Debug.h"
 #include "Icmp6.h"
 #include "IcmpPinger.h"
+#include "leakcheck.h"
+#include "SquidTime.h"
 
 // Some system headers are only neeed internally here.
 // They should not be included via the header.

=== modified file 'src/icmp/IcmpPinger.cc'
--- src/icmp/IcmpPinger.cc	2012-08-15 15:17:32 +0000
+++ src/icmp/IcmpPinger.cc	2012-08-21 10:50:25 +0000
@@ -38,11 +38,11 @@
 
 #if USE_ICMP
 
-#include "SquidTime.h"
-#include "IcmpPinger.h"
+#include "Debug.h"
 #include "Icmp4.h"
 #include "Icmp6.h"
-#include "Debug.h"
+#include "IcmpPinger.h"
+#include "SquidTime.h"
 
 #if HAVE_ERRNO_H
 #include <errno.h>

=== modified file 'src/icmp/net_db.cc'
--- src/icmp/net_db.cc	2012-08-14 11:53:07 +0000
+++ src/icmp/net_db.cc	2012-08-21 10:50:25 +0000
@@ -39,22 +39,22 @@
  */
 
 #include "squid.h"
-#include "icmp/net_db.h"
-#include "log/File.h"
 #include "cbdata.h"
 #include "event.h"
-#include "mgr/Registration.h"
-#include "Store.h"
-#include "SwapDir.h"
+#include "fde.h"
+#include "forward.h"
+#include "HttpReply.h"
 #include "HttpRequest.h"
-#include "HttpReply.h"
+#include "icmp/net_db.h"
+#include "ip/Address.h"
+#include "log/File.h"
 #include "MemObject.h"
-#include "fde.h"
-#include "forward.h"
+#include "mgr/Registration.h"
 #include "protos.h"
 #include "SquidTime.h"
+#include "Store.h"
+#include "SwapDir.h"
 #include "wordlist.h"
-#include "ip/Address.h"
 
 #if HAVE_SYS_STAT_H
 #include <sys/stat.h>

=== modified file 'src/icp_v3.cc'
--- src/icp_v3.cc	2012-08-14 11:53:07 +0000
+++ src/icp_v3.cc	2012-08-21 10:50:28 +0000
@@ -38,9 +38,9 @@
  */
 
 #include "squid.h"
+#include "HttpRequest.h"
+#include "ICP.h"
 #include "Store.h"
-#include "ICP.h"
-#include "HttpRequest.h"
 
 /// \ingroup ServerProtocolICPInternal3
 class ICP3State : public ICPState, public StoreClient

=== modified file 'src/ident/Ident.cc'
--- src/ident/Ident.cc	2012-08-14 11:53:07 +0000
+++ src/ident/Ident.cc	2012-08-21 10:50:23 +0000
@@ -37,8 +37,8 @@
 #include "comm.h"
 #include "comm/Connection.h"
 #include "comm/ConnOpener.h"
+#include "comm/Write.h"
 #include "CommCalls.h"
-#include "comm/Write.h"
 #include "globals.h"
 #include "ident/Config.h"
 #include "ident/Ident.h"

=== modified file 'src/internal.cc'
--- src/internal.cc	2012-08-14 11:53:07 +0000
+++ src/internal.cc	2012-08-21 10:50:27 +0000
@@ -37,13 +37,13 @@
 #include "CacheManager.h"
 #include "comm/Connection.h"
 #include "errorpage.h"
+#include "HttpReply.h"
+#include "HttpRequest.h"
 #include "icmp/net_db.h"
-#include "Store.h"
-#include "HttpRequest.h"
-#include "HttpReply.h"
 #include "MemBuf.h"
 #include "protos.h"
 #include "SquidTime.h"
+#include "Store.h"
 #include "wordlist.h"
 
 /* called when we "miss" on an internal object;

=== modified file 'src/ip/Address.cc'
--- src/ip/Address.cc	2012-08-11 03:21:14 +0000
+++ src/ip/Address.cc	2012-08-21 10:50:28 +0000
@@ -35,8 +35,8 @@
  */
 
 #include "squid.h"
+#include "compat/getaddrinfo.h"
 #include "compat/inet_ntop.h"
-#include "compat/getaddrinfo.h"
 #include "Debug.h"
 #include "ip/Address.h"
 #include "ip/tools.h"

=== modified file 'src/ip/Intercept.cc'
--- src/ip/Intercept.cc	2012-08-16 07:11:05 +0000
+++ src/ip/Intercept.cc	2012-08-21 10:50:28 +0000
@@ -32,8 +32,8 @@
  */
 #include "squid.h"
 #include "comm/Connection.h"
+#include "fde.h"
 #include "ip/Intercept.h"
-#include "fde.h"
 
 #if IPF_TRANSPARENT
 

=== modified file 'src/ip/QosConfig.cc'
--- src/ip/QosConfig.cc	2012-08-15 15:17:32 +0000
+++ src/ip/QosConfig.cc	2012-08-21 10:50:28 +0000
@@ -6,8 +6,8 @@
 #include "fde.h"
 #include "globals.h"
 #include "hier_code.h"
+#include "ip/QosConfig.h"
 #include "ip/tools.h"
-#include "ip/QosConfig.h"
 #include "Parsing.h"
 #include "protos.h"
 

=== modified file 'src/ip/testAddress.cc'
--- src/ip/testAddress.cc	2012-01-20 18:55:04 +0000
+++ src/ip/testAddress.cc	2012-08-21 10:50:28 +0000
@@ -1,9 +1,9 @@
 #define SQUID_UNIT_TEST 1
 #include "squid.h"
 //#include "compat/getaddrinfo.h"
-#include "testAddress.h"
 #include "ip/Address.h"
 #include "ip/tools.h"
+#include "testAddress.h"
 
 #if HAVE_CSTRING
 #include <cstring>

=== modified file 'src/ipc/Port.cc'
--- src/ipc/Port.cc	2012-01-20 18:55:04 +0000
+++ src/ipc/Port.cc	2012-08-21 10:50:28 +0000
@@ -8,8 +8,8 @@
 
 #include "squid.h"
 #include "comm.h"
+#include "comm/Connection.h"
 #include "CommCalls.h"
-#include "comm/Connection.h"
 #include "ipc/Port.h"
 
 const char Ipc::coordinatorAddr[] = DEFAULT_STATEDIR "/coordinator.ipc";

=== modified file 'src/ipc/ReadWriteLock.cc'
--- src/ipc/ReadWriteLock.cc	2012-08-14 11:53:07 +0000
+++ src/ipc/ReadWriteLock.cc	2012-08-21 10:50:27 +0000
@@ -6,8 +6,8 @@
 
 #include "squid.h"
 
+#include "ipc/ReadWriteLock.h"
 #include "Store.h"
-#include "ipc/ReadWriteLock.h"
 
 bool
 Ipc::ReadWriteLock::lockShared()

=== modified file 'src/ipc/SharedListen.cc'
--- src/ipc/SharedListen.cc	2012-08-14 11:53:07 +0000
+++ src/ipc/SharedListen.cc	2012-08-21 10:50:27 +0000
@@ -7,16 +7,16 @@
 
 #include "squid.h"
 #include <map>
+#include "base/TextException.h"
 #include "comm.h"
-#include "base/TextException.h"
 #include "comm/Connection.h"
 #include "globals.h"
+#include "ipc/Kids.h"
+#include "ipc/Messages.h"
 #include "ipc/Port.h"
-#include "ipc/Messages.h"
-#include "ipc/Kids.h"
+#include "ipc/SharedListen.h"
+#include "ipc/StartListening.h"
 #include "ipc/TypedMsgHdr.h"
-#include "ipc/StartListening.h"
-#include "ipc/SharedListen.h"
 #include "protos.h"
 
 /// holds information necessary to handle JoinListen response

=== modified file 'src/ipc/StoreMap.cc'
--- src/ipc/StoreMap.cc	2012-08-14 11:53:07 +0000
+++ src/ipc/StoreMap.cc	2012-08-21 10:50:28 +0000
@@ -6,9 +6,9 @@
 
 #include "squid.h"
 
+#include "ipc/StoreMap.h"
 #include "protos.h"
 #include "Store.h"
-#include "ipc/StoreMap.h"
 
 Ipc::StoreMap::Owner *
 Ipc::StoreMap::Init(const char *const path, const int limit, const size_t extrasSize)

=== modified file 'src/ipc/Strand.cc'
--- src/ipc/Strand.cc	2012-08-14 11:53:07 +0000
+++ src/ipc/Strand.cc	2012-08-21 10:50:27 +0000
@@ -8,19 +8,19 @@
 #include "squid.h"
 #include "base/Subscription.h"
 #include "base/TextException.h"
+#include "CacheManager.h"
 #include "comm/Connection.h"
 #include "globals.h"
+#include "ipc/Kids.h"
+#include "ipc/Messages.h"
+#include "ipc/SharedListen.h"
 #include "ipc/Strand.h"
 #include "ipc/StrandCoord.h"
-#include "ipc/Messages.h"
-#include "ipc/SharedListen.h"
 #include "ipc/StrandSearch.h"
-#include "ipc/Kids.h"
+#include "mgr/Forwarder.h"
 #include "mgr/Request.h"
 #include "mgr/Response.h"
-#include "mgr/Forwarder.h"
 #include "SwapDir.h" /* XXX: scope boundary violation */
-#include "CacheManager.h"
 #if USE_DISKIO_IPCIO
 #include "DiskIO/IpcIo/IpcIoFile.h" /* XXX: scope boundary violation */
 #endif

=== modified file 'src/ipc/TypedMsgHdr.cc'
--- src/ipc/TypedMsgHdr.cc	2012-01-20 18:55:04 +0000
+++ src/ipc/TypedMsgHdr.cc	2012-08-21 10:50:28 +0000
@@ -8,9 +8,9 @@
 
 #include "squid.h"
 #include <string.h>
-#include "protos.h"
 #include "base/TextException.h"
 #include "ipc/TypedMsgHdr.h"
+#include "protos.h"
 
 Ipc::TypedMsgHdr::TypedMsgHdr()
 {

=== modified file 'src/ipc/UdsOp.cc'
--- src/ipc/UdsOp.cc	2012-01-20 18:55:04 +0000
+++ src/ipc/UdsOp.cc	2012-08-21 10:50:28 +0000
@@ -7,11 +7,11 @@
 
 
 #include "squid.h"
+#include "base/TextException.h"
 #include "comm.h"
-#include "CommCalls.h"
 #include "comm/Connection.h"
 #include "comm/Write.h"
-#include "base/TextException.h"
+#include "CommCalls.h"
 #include "ipc/UdsOp.h"
 
 

=== modified file 'src/ipc/mem/Pages.cc'
--- src/ipc/mem/Pages.cc	2012-08-14 11:53:07 +0000
+++ src/ipc/mem/Pages.cc	2012-08-21 10:50:27 +0000
@@ -6,8 +6,8 @@
  */
 
 #include "squid.h"
+#include "base/RunnersRegistry.h"
 #include "base/TextException.h"
-#include "base/RunnersRegistry.h"
 #include "ipc/mem/PagePool.h"
 #include "ipc/mem/Pages.h"
 #include "protos.h"

=== modified file 'src/ipcache.cc'
--- src/ipcache.cc	2012-08-14 11:53:07 +0000
+++ src/ipcache.cc	2012-08-21 10:50:27 +0000
@@ -31,8 +31,8 @@
  */
 
 #include "squid.h"
+#include "CacheManager.h"
 #include "cbdata.h"
-#include "CacheManager.h"
 #include "DnsLookupDetails.h"
 #include "event.h"
 #include "ip/Address.h"

=== modified file 'src/log/File.cc'
--- src/log/File.cc	2012-08-14 11:53:07 +0000
+++ src/log/File.cc	2012-08-21 10:50:26 +0000
@@ -38,8 +38,8 @@
 #include "log/ModDaemon.h"
 #include "log/ModStdio.h"
 #include "log/ModSyslog.h"
+#include "log/ModTcp.h"
 #include "log/ModUdp.h"
-#include "log/ModTcp.h"
 
 CBDATA_TYPE(Logfile);
 

=== modified file 'src/log/FormatHttpdCombined.cc'
--- src/log/FormatHttpdCombined.cc	2012-08-14 11:53:07 +0000
+++ src/log/FormatHttpdCombined.cc	2012-08-21 10:50:26 +0000
@@ -34,8 +34,8 @@
 
 #include "squid.h"
 #include "AccessLogEntry.h"
+#include "format/Quoting.h"
 #include "format/Token.h"
-#include "format/Quoting.h"
 #include "globals.h"
 #include "HttpRequest.h"
 #include "log/File.h"

=== modified file 'src/log/access_log.cc'
--- src/log/access_log.cc	2012-08-14 11:53:07 +0000
+++ src/log/access_log.cc	2012-08-21 10:50:26 +0000
@@ -39,9 +39,9 @@
 // Store.h Required by configuration directives parsing/dumping only
 #include "Store.h"
 
-#include "errorpage.h"
+#include "acl/Checklist.h"
 #include "err_detail_type.h"
-#include "acl/Checklist.h"
+#include "errorpage.h"
 #include "errorpage.h"
 #if USE_SQUID_EUI
 #include "eui/Eui48.h"

=== modified file 'src/main.cc'
--- src/main.cc	2012-08-15 15:17:32 +0000
+++ src/main.cc	2012-08-21 10:50:28 +0000
@@ -57,10 +57,10 @@
 #include "icmp/net_db.h"
 #include "ICP.h"
 #include "ident/Ident.h"
+#include "ip/tools.h"
 #include "ipc/Coordinator.h"
 #include "ipc/Kids.h"
 #include "ipc/Strand.h"
-#include "ip/tools.h"
 #include "Mem.h"
 #include "MemPool.h"
 #include "pconn.h"
@@ -70,8 +70,8 @@
 #include "SquidDns.h"
 #include "SquidTime.h"
 #include "StatCounters.h"
+#include "Store.h"
 #include "StoreFileSystem.h"
-#include "Store.h"
 #include "SwapDir.h"
 
 #if USE_ADAPTATION
@@ -97,8 +97,8 @@
 #include "LoadableModules.h"
 #endif
 #if USE_SSL_CRTD
+#include "ssl/certificate_db.h"
 #include "ssl/helper.h"
-#include "ssl/certificate_db.h"
 #endif
 #if USE_SSL
 #include "ssl/context_storage.h"

=== modified file 'src/mem.cc'
--- src/mem.cc	2012-08-14 11:53:07 +0000
+++ src/mem.cc	2012-08-21 10:50:27 +0000
@@ -33,10 +33,10 @@
  */
 
 #include "squid.h"
+#include "ClientInfo.h"
 #include "event.h"
-#include "ClientInfo.h"
+#include "md5.h"
 #include "Mem.h"
-#include "md5.h"
 #include "MemBuf.h"
 #include "memMeter.h"
 #include "mgr/Registration.h"

=== modified file 'src/mgr/Action.cc'
--- src/mgr/Action.cc	2012-01-20 18:55:04 +0000
+++ src/mgr/Action.cc	2012-08-21 10:50:28 +0000
@@ -9,8 +9,8 @@
 #include "comm/Connection.h"
 #include "HttpReply.h"
 #include "ipc/Port.h"
+#include "mgr/Action.h"
 #include "mgr/ActionCreator.h"
-#include "mgr/Action.h"
 #include "mgr/ActionParams.h"
 #include "mgr/ActionProfile.h"
 #include "mgr/Command.h"

=== modified file 'src/mgr/Forwarder.cc'
--- src/mgr/Forwarder.cc	2012-08-14 11:53:07 +0000
+++ src/mgr/Forwarder.cc	2012-08-21 10:50:28 +0000
@@ -8,8 +8,8 @@
 #include "squid.h"
 #include "base/AsyncJobCalls.h"
 #include "base/TextException.h"
+#include "comm/Connection.h"
 #include "CommCalls.h"
-#include "comm/Connection.h"
 #include "errorpage.h"
 #include "globals.h"
 #include "HttpReply.h"

=== modified file 'src/mgr/InfoAction.cc'
--- src/mgr/InfoAction.cc	2012-08-14 11:53:07 +0000
+++ src/mgr/InfoAction.cc	2012-08-21 10:50:28 +0000
@@ -11,8 +11,8 @@
 #include "globals.h"
 #include "HttpReply.h"
 #include "ipc/Messages.h"
+#include "ipc/TypedMsgHdr.h"
 #include "ipc/UdsOp.h"
-#include "ipc/TypedMsgHdr.h"
 #include "mgr/Filler.h"
 #include "mgr/InfoAction.h"
 #include "mgr/Request.h"

=== modified file 'src/mgr/Inquirer.cc'
--- src/mgr/Inquirer.cc	2012-08-14 11:53:07 +0000
+++ src/mgr/Inquirer.cc	2012-08-21 10:50:28 +0000
@@ -11,17 +11,17 @@
 #include "comm/Connection.h"
 #include "comm/Write.h"
 #include "CommCalls.h"
+#include "errorpage.h"
 #include "HttpReply.h"
 #include "HttpRequest.h"
 #include "ipc/UdsOp.h"
 #include "mgr/ActionWriter.h"
+#include "mgr/Command.h"
+#include "mgr/Inquirer.h"
 #include "mgr/IntParam.h"
-#include "mgr/Inquirer.h"
-#include "mgr/Command.h"
 #include "mgr/Request.h"
 #include "mgr/Response.h"
 #include "SquidTime.h"
-#include "errorpage.h"
 #include <memory>
 #include <algorithm>
 

=== modified file 'src/mgr/QueryParams.cc'
--- src/mgr/QueryParams.cc	2012-01-20 18:55:04 +0000
+++ src/mgr/QueryParams.cc	2012-08-21 10:50:28 +0000
@@ -9,8 +9,8 @@
 #include "base/TextException.h"
 #include "ipc/TypedMsgHdr.h"
 #include "mgr/IntParam.h"
+#include "mgr/QueryParams.h"
 #include "mgr/StringParam.h"
-#include "mgr/QueryParams.h"
 
 
 Mgr::QueryParam::Pointer

=== modified file 'src/mgr/StoreToCommWriter.cc'
--- src/mgr/StoreToCommWriter.cc	2012-08-14 11:53:07 +0000
+++ src/mgr/StoreToCommWriter.cc	2012-08-21 10:50:28 +0000
@@ -8,13 +8,13 @@
 #include "squid.h"
 #include "base/TextException.h"
 #include "comm/Connection.h"
+#include "comm/Write.h"
 #include "CommCalls.h"
-#include "comm/Write.h"
 #include "ipc/FdNotes.h"
 #include "mgr/StoreToCommWriter.h"
 #include "protos.h"
+#include "Store.h"
 #include "StoreClient.h"
-#include "Store.h"
 
 
 CBDATA_NAMESPACED_CLASS_INIT(Mgr, StoreToCommWriter);

=== modified file 'src/redirect.cc'
--- src/redirect.cc	2012-08-14 11:53:07 +0000
+++ src/redirect.cc	2012-08-21 10:50:27 +0000
@@ -41,8 +41,8 @@
 #include "comm/Connection.h"
 #include "fde.h"
 #include "globals.h"
+#include "helper.h"
 #include "HttpRequest.h"
-#include "helper.h"
 #include "mgr/Registration.h"
 #include "protos.h"
 #include "rfc1738.h"

=== modified file 'src/refresh.cc'
--- src/refresh.cc	2012-08-14 11:53:07 +0000
+++ src/refresh.cc	2012-08-21 10:50:28 +0000
@@ -38,11 +38,11 @@
 #endif
 
 #include "squid.h"
-#include "mgr/Registration.h"
 #include "HttpHdrCc.h"
+#include "HttpReply.h"
 #include "HttpRequest.h"
-#include "HttpReply.h"
 #include "MemObject.h"
+#include "mgr/Registration.h"
 #include "protos.h"
 #include "SquidTime.h"
 #include "Store.h"

=== modified file 'src/repl/heap/store_heap_replacement.cc'
--- src/repl/heap/store_heap_replacement.cc	2012-08-14 11:53:07 +0000
+++ src/repl/heap/store_heap_replacement.cc	2012-08-21 10:50:29 +0000
@@ -43,10 +43,10 @@
 
 #include "squid.h"
 #include "heap.h"
-#include "store_heap_replacement.h"
-#include "Store.h"
 #include "MemObject.h"
 #include "SquidTime.h"
+#include "Store.h"
+#include "store_heap_replacement.h"
 
 #if HAVE_MATH_H
 #include <math.h>

=== modified file 'src/repl/heap/store_repl_heap.cc'
--- src/repl/heap/store_repl_heap.cc	2012-08-14 11:53:07 +0000
+++ src/repl/heap/store_repl_heap.cc	2012-08-21 10:50:29 +0000
@@ -43,10 +43,10 @@
 
 #include "squid.h"
 #include "heap.h"
+#include "MemObject.h"
 #include "protos.h"
+#include "Store.h"
 #include "store_heap_replacement.h"
-#include "Store.h"
-#include "MemObject.h"
 #include "wordlist.h"
 
 REMOVALPOLICYCREATE createRemovalPolicy_heap;

=== modified file 'src/repl/lru/store_repl_lru.cc'
--- src/repl/lru/store_repl_lru.cc	2012-08-14 11:53:07 +0000
+++ src/repl/lru/store_repl_lru.cc	2012-08-21 10:50:29 +0000
@@ -34,9 +34,9 @@
  */
 
 #include "squid.h"
-#include "Store.h"
 #include "MemObject.h"
 #include "SquidTime.h"
+#include "Store.h"
 
 REMOVALPOLICYCREATE createRemovalPolicy_lru;
 

=== modified file 'src/snmp/Forwarder.cc'
--- src/snmp/Forwarder.cc	2012-08-14 11:53:07 +0000
+++ src/snmp/Forwarder.cc	2012-08-21 10:50:24 +0000
@@ -7,14 +7,14 @@
 
 #include "squid.h"
 #include "base/TextException.h"
+#include "comm.h"
 #include "CommCalls.h"
-#include "comm.h"
 #include "globals.h"
 #include "ipc/Port.h"
-#include "snmp_core.h"
 #include "snmp/Forwarder.h"
 #include "snmp/Request.h"
 #include "snmp/Response.h"
+#include "snmp_core.h"
 
 
 CBDATA_NAMESPACED_CLASS_INIT(Snmp, Forwarder);

=== modified file 'src/snmp/Inquirer.cc'
--- src/snmp/Inquirer.cc	2012-01-20 18:55:04 +0000
+++ src/snmp/Inquirer.cc	2012-08-21 10:50:24 +0000
@@ -7,14 +7,14 @@
 
 #include "squid.h"
 #include "base/TextException.h"
-#include "CommCalls.h"
 #include "comm.h"
 #include "comm/Connection.h"
+#include "CommCalls.h"
 #include "ipc/UdsOp.h"
-#include "snmp_core.h"
 #include "snmp/Inquirer.h"
+#include "snmp/Request.h"
 #include "snmp/Response.h"
-#include "snmp/Request.h"
+#include "snmp_core.h"
 
 
 CBDATA_NAMESPACED_CLASS_INIT(Snmp, Inquirer);

=== modified file 'src/snmp/Pdu.cc'
--- src/snmp/Pdu.cc	2012-07-13 10:48:12 +0000
+++ src/snmp/Pdu.cc	2012-08-21 10:50:24 +0000
@@ -9,9 +9,9 @@
 #include "base/TextException.h"
 #include "ipc/TypedMsgHdr.h"
 #include "protos.h"
-#include "snmp_core.h"
 #include "snmp/Pdu.h"
 #include "snmp/Var.h"
+#include "snmp_core.h"
 #if HAVE_ALGORITHM
 #include <algorithm>
 #endif

=== modified file 'src/snmp_agent.cc'
--- src/snmp_agent.cc	2012-08-14 11:53:07 +0000
+++ src/snmp_agent.cc	2012-08-21 10:50:27 +0000
@@ -37,10 +37,10 @@
 #include "globals.h"
 #include "mem_node.h"
 #include "protos.h"
+#include "SquidMath.h"
+#include "SquidTime.h"
 #include "StatCounters.h"
 #include "StatHist.h"
-#include "SquidMath.h"
-#include "SquidTime.h"
 #include "Store.h"
 
 /************************************************************************

=== modified file 'src/snmp_core.cc'
--- src/snmp_core.cc	2012-08-14 11:53:07 +0000
+++ src/snmp_core.cc	2012-08-21 10:50:29 +0000
@@ -39,8 +39,8 @@
 #include "ip/Address.h"
 #include "ip/tools.h"
 #include "protos.h"
+#include "snmp/Forwarder.h"
 #include "snmp_core.h"
-#include "snmp/Forwarder.h"
 
 static void snmpPortOpened(const Comm::ConnectionPointer &conn, int errNo);
 
@@ -1150,8 +1150,8 @@
 }
 
 /* SNMP checklists */
+#include "acl/Strategised.h"
 #include "acl/Strategy.h"
-#include "acl/Strategised.h"
 #include "acl/StringData.h"
 
 class ACLSNMPCommunityStrategy : public ACLStrategy<char const *>

=== modified file 'src/ssl/ErrorDetailManager.cc'
--- src/ssl/ErrorDetailManager.cc	2012-08-14 11:53:07 +0000
+++ src/ssl/ErrorDetailManager.cc	2012-08-21 10:50:28 +0000
@@ -1,7 +1,7 @@
 #include "squid.h"
 #include "ErrorDetail.h"
+#include "ErrorDetailManager.h"
 #include "errorpage.h"
-#include "ErrorDetailManager.h"
 #include "protos.h"
 
 void Ssl::errorDetailInitialize()

=== modified file 'src/ssl/context_storage.cc'
--- src/ssl/context_storage.cc	2012-07-23 15:34:12 +0000
+++ src/ssl/context_storage.cc	2012-08-21 10:50:28 +0000
@@ -2,10 +2,10 @@
  * $Id$
  */
 #include "squid.h"
+#include "mgr/Registration.h"
+#include "ssl/context_storage.h"
 #include "Store.h"
 #include "StoreEntryStream.h"
-#include "ssl/context_storage.h"
-#include "mgr/Registration.h"
 #if HAVE_LIMITS
 #include <limits>
 #endif

=== modified file 'src/ssl/crtd_message.cc'
--- src/ssl/crtd_message.cc	2012-07-23 07:02:06 +0000
+++ src/ssl/crtd_message.cc	2012-08-21 10:50:28 +0000
@@ -3,8 +3,8 @@
  */
 
 #include "squid.h"
+#include "ssl/crtd_message.h"
 #include "ssl/gadgets.h"
-#include "ssl/crtd_message.h"
 #if HAVE_CSTDLIB
 #include <cstdlib>
 #endif

=== modified file 'src/ssl/helper.cc'
--- src/ssl/helper.cc	2012-08-19 18:21:24 +0000
+++ src/ssl/helper.cc	2012-08-21 10:50:28 +0000
@@ -5,9 +5,9 @@
 #include "squid.h"
 #include "anyp/PortCfg.h"
 #include "protos.h"
+#include "SquidTime.h"
 #include "ssl/Config.h"
 #include "ssl/helper.h"
-#include "SquidTime.h"
 #include "SwapDir.h"
 
 Ssl::Helper * Ssl::Helper::GetInstance()

=== modified file 'src/ssl/ssl_crtd.cc'
--- src/ssl/ssl_crtd.cc	2012-07-23 07:02:06 +0000
+++ src/ssl/ssl_crtd.cc	2012-08-21 10:50:28 +0000
@@ -4,9 +4,9 @@
 
 #include "squid.h"
 #include "helpers/defines.h"
+#include "ssl/certificate_db.h"
+#include "ssl/crtd_message.h"
 #include "ssl/gadgets.h"
-#include "ssl/crtd_message.h"
-#include "ssl/certificate_db.h"
 
 #if HAVE_CSTRING
 #include <cstring>

=== modified file 'src/ssl/support.cc'
--- src/ssl/support.cc	2012-08-15 15:17:32 +0000
+++ src/ssl/support.cc	2012-08-21 10:50:28 +0000
@@ -45,8 +45,8 @@
 #include "globals.h"
 #include "protos.h"
 #include "ssl/ErrorDetail.h"
+#include "ssl/gadgets.h"
 #include "ssl/support.h"
-#include "ssl/gadgets.h"
 
 #if HAVE_ERRNO_H
 #include <errno.h>

=== modified file 'src/stat.cc'
--- src/stat.cc	2012-08-14 11:53:07 +0000
+++ src/stat.cc	2012-08-21 10:50:27 +0000
@@ -33,8 +33,8 @@
  */
 
 #include "squid.h"
+#include "client_side.h"
 #include "client_side_request.h"
-#include "client_side.h"
 #include "comm/Connection.h"
 #include "comm/Loops.h"
 #include "event.h"
@@ -42,9 +42,9 @@
 #include "format/Token.h"
 #include "globals.h"
 #include "HttpRequest.h"
-#include "MemObject.h"
 #include "mem_node.h"
 #include "MemBuf.h"
+#include "MemObject.h"
 #include "mgr/CountersAction.h"
 #include "mgr/FunAction.h"
 #include "mgr/InfoAction.h"
@@ -56,8 +56,8 @@
 #include "SquidMath.h"
 #include "SquidTime.h"
 #include "StatCounters.h"
+#include "Store.h"
 #include "StoreClient.h"
-#include "Store.h"
 #if USE_AUTH
 #include "auth/UserRequest.h"
 #endif

=== modified file 'src/store.cc'
--- src/store.cc	2012-08-14 11:53:07 +0000
+++ src/store.cc	2012-08-21 10:50:27 +0000
@@ -52,12 +52,12 @@
 #include "Stack.h"
 #include "StatCounters.h"
 #include "stmem.h"
+#include "Store.h"
 #include "StoreClient.h"
-#include "Store.h"
 #include "StoreIOState.h"
 #include "StoreMeta.h"
+#include "swap_log_op.h"
 #include "SwapDir.h"
-#include "swap_log_op.h"
 #if USE_DELAY_POOLS
 #include "DelayPools.h"
 #endif

=== modified file 'src/store_client.cc'
--- src/store_client.cc	2012-08-14 11:53:07 +0000
+++ src/store_client.cc	2012-08-21 10:50:26 +0000
@@ -43,8 +43,8 @@
 #include "profiler/Profiler.h"
 #include "protos.h"
 #include "StatCounters.h"
+#include "Store.h"
 #include "StoreClient.h"
-#include "Store.h"
 #include "StoreMeta.h"
 #include "StoreMetaUnpacker.h"
 #if USE_DELAY_POOLS

=== modified file 'src/store_dir.cc'
--- src/store_dir.cc	2012-08-15 15:17:32 +0000
+++ src/store_dir.cc	2012-08-21 10:50:25 +0000
@@ -44,8 +44,8 @@
 #include "SquidTime.h"
 #include "Store.h"
 #include "StoreHashIndex.h"
+#include "swap_log_op.h"
 #include "SwapDir.h"
-#include "swap_log_op.h"
 
 #if HAVE_STATVFS
 #if HAVE_SYS_STATVFS_H

=== modified file 'src/store_io.cc'
--- src/store_io.cc	2012-08-14 11:53:07 +0000
+++ src/store_io.cc	2012-08-21 10:50:25 +0000
@@ -1,6 +1,6 @@
 #include "squid.h"
+#include "MemObject.h"
 #include "Store.h"
-#include "MemObject.h"
 #include "SwapDir.h"
 
 StoreIoStats store_io_stats;

=== modified file 'src/store_log.cc'
--- src/store_log.cc	2012-08-14 11:53:07 +0000
+++ src/store_log.cc	2012-08-21 10:50:26 +0000
@@ -38,8 +38,8 @@
 #include "log/File.h"
 #include "MemObject.h"
 #include "mgr/Registration.h"
+#include "SquidTime.h"
 #include "Store.h"
-#include "SquidTime.h"
 
 static const char *storeLogTags[] = {
     "CREATE",

=== modified file 'src/store_rebuild.cc'
--- src/store_rebuild.cc	2012-08-15 15:17:32 +0000
+++ src/store_rebuild.cc	2012-08-21 10:50:28 +0000
@@ -38,11 +38,11 @@
 #include "globals.h"
 #include "md5.h"
 #include "protos.h"
+#include "SquidTime.h"
 #include "StatCounters.h"
 #include "Store.h"
+#include "StoreSearch.h"
 #include "SwapDir.h"
-#include "StoreSearch.h"
-#include "SquidTime.h"
 
 #if HAVE_ERRNO_H
 #include <errno.h>
@@ -243,9 +243,9 @@
 }
 
 #include "fde.h"
+#include "Generic.h"
+#include "StoreMeta.h"
 #include "StoreMetaUnpacker.h"
-#include "StoreMeta.h"
-#include "Generic.h"
 
 struct InitStoreEntry : public unary_function<StoreMeta, void> {
     InitStoreEntry(StoreEntry *anEntry, cache_key *aKey):what(anEntry),index(aKey) {}

=== modified file 'src/store_swapin.cc'
--- src/store_swapin.cc	2012-08-14 11:53:07 +0000
+++ src/store_swapin.cc	2012-08-21 10:50:25 +0000
@@ -36,8 +36,8 @@
 #include "squid.h"
 #include "globals.h"
 #include "StatCounters.h"
+#include "Store.h"
 #include "StoreClient.h"
-#include "Store.h"
 
 static StoreIOState::STIOCB storeSwapInFileClosed;
 static StoreIOState::STFNCB storeSwapInFileNotify;

=== modified file 'src/store_swapout.cc'
--- src/store_swapout.cc	2012-08-14 11:53:07 +0000
+++ src/store_swapout.cc	2012-08-21 10:50:27 +0000
@@ -35,15 +35,15 @@
 
 #include "squid.h"
 #include "cbdata.h"
+#include "Store.h"
 #include "StoreClient.h"
-#include "Store.h"
 /* FIXME: Abstract the use of this more */
 #include "mem_node.h"
 #include "MemObject.h"
 #include "protos.h"
-#include "SwapDir.h"
 #include "StatCounters.h"
 #include "swap_log_op.h"
+#include "SwapDir.h"
 
 static void storeSwapOutStart(StoreEntry * e);
 static StoreIOState::STIOCB storeSwapOutFileClosed;

=== modified file 'src/tests/stub_HelperChildConfig.cc'
--- src/tests/stub_HelperChildConfig.cc	2012-08-08 07:35:10 +0000
+++ src/tests/stub_HelperChildConfig.cc	2012-08-21 10:50:23 +0000
@@ -1,6 +1,6 @@
 #include "squid.h"
+#include "globals.h"
 #include "HelperChildConfig.h"
-#include "globals.h"
 
 #define STUB_API "stub_HelperChildconfig.cc"
 #include "tests/STUB.h"

=== modified file 'src/tests/stub_MemObject.cc'
--- src/tests/stub_MemObject.cc	2012-06-18 23:08:56 +0000
+++ src/tests/stub_MemObject.cc	2012-08-21 10:50:23 +0000
@@ -1,7 +1,7 @@
 #include "squid.h"
 #include "comm/Connection.h"
+#include "HttpReply.h"
 #include "MemObject.h"
-#include "HttpReply.h"
 #if USE_DELAY_POOLS
 #include "DelayPools.h"
 #endif

=== modified file 'src/tests/stub_http.cc'
--- src/tests/stub_http.cc	2012-08-14 11:53:07 +0000
+++ src/tests/stub_http.cc	2012-08-21 10:50:23 +0000
@@ -1,7 +1,7 @@
 #include "squid.h"
 
+#include "HttpReply.h"
 #include "HttpRequest.h"
-#include "HttpReply.h"
 
 #define STUB_API "http.cc"
 #include "tests/STUB.h"

=== modified file 'src/tests/stub_pconn.cc'
--- src/tests/stub_pconn.cc	2012-01-20 18:55:04 +0000
+++ src/tests/stub_pconn.cc	2012-08-21 10:50:24 +0000
@@ -2,8 +2,8 @@
  * STUB file for the pconn.cc API
  */
 #include "squid.h"
+#include "comm/Connection.h"
 #include "pconn.h"
-#include "comm/Connection.h"
 
 #define STUB_API "pconn.cc"
 #include "tests/STUB.h"

=== modified file 'src/tests/stub_store_client.cc'
--- src/tests/stub_store_client.cc	2012-08-14 11:53:07 +0000
+++ src/tests/stub_store_client.cc	2012-08-21 10:50:23 +0000
@@ -1,7 +1,7 @@
 #include "squid.h"
+#include "protos.h"
+#include "Store.h"
 #include "StoreClient.h"
-#include "Store.h"
-#include "protos.h"
 
 #define STUB_API "store_client.cc"
 #include "tests/STUB.h"

=== modified file 'src/tests/testACLMaxUserIP.cc'
--- src/tests/testACLMaxUserIP.cc	2012-08-14 11:53:07 +0000
+++ src/tests/testACLMaxUserIP.cc	2012-08-21 10:50:23 +0000
@@ -4,8 +4,8 @@
 
 #if USE_AUTH
 
+#include "auth/AclMaxUserIp.h"
 #include "testACLMaxUserIP.h"
-#include "auth/AclMaxUserIp.h"
 
 #if HAVE_STDEXCEPT
 #include <stdexcept>

=== modified file 'src/tests/testAuth.cc'
--- src/tests/testAuth.cc	2012-08-14 11:53:07 +0000
+++ src/tests/testAuth.cc	2012-08-21 10:50:23 +0000
@@ -4,12 +4,12 @@
 
 #if USE_AUTH
 
-#include "testAuth.h"
+#include "auth/Config.h"
 #include "auth/Gadgets.h"
+#include "auth/Scheme.h"
 #include "auth/UserRequest.h"
-#include "auth/Scheme.h"
-#include "auth/Config.h"
 #include "Mem.h"
+#include "testAuth.h"
 
 CPPUNIT_TEST_SUITE_REGISTRATION( testAuth );
 CPPUNIT_TEST_SUITE_REGISTRATION( testAuthConfig );

=== modified file 'src/tests/testCacheManager.cc'
--- src/tests/testCacheManager.cc	2012-08-14 11:53:07 +0000
+++ src/tests/testCacheManager.cc	2012-08-21 10:50:24 +0000
@@ -4,10 +4,10 @@
 #include <cppunit/TestAssert.h>
 #include "mgr/Action.h"
 
+#include "CacheManager.h"
 #include "Mem.h"
+#include "Store.h"
 #include "testCacheManager.h"
-#include "CacheManager.h"
-#include "Store.h"
 
 
 CPPUNIT_TEST_SUITE_REGISTRATION( testCacheManager );

=== modified file 'src/tests/testConfigParser.cc'
--- src/tests/testConfigParser.cc	2012-01-20 18:55:04 +0000
+++ src/tests/testConfigParser.cc	2012-08-21 10:50:24 +0000
@@ -1,11 +1,11 @@
 #define SQUID_UNIT_TEST 1
 #include "squid.h"
 
+#include "ConfigParser.h"
+#include "event.h"
+#include "Mem.h"
+#include "SquidString.h"
 #include "testConfigParser.h"
-#include "SquidString.h"
-#include "Mem.h"
-#include "event.h"
-#include "ConfigParser.h"
 
 CPPUNIT_TEST_SUITE_REGISTRATION( testConfigParser);
 

=== modified file 'src/tests/testCoss.cc'
--- src/tests/testCoss.cc	2012-08-14 11:53:07 +0000
+++ src/tests/testCoss.cc	2012-08-21 10:50:24 +0000
@@ -1,15 +1,15 @@
 #define SQUID_UNIT_TEST 1
 #include "squid.h"
-#include "testCoss.h"
-#include "Store.h"
-#include "SwapDir.h"
 #include "DiskIO/DiskIOModule.h"
 #include "fs/coss/CossSwapDir.h"
+#include "HttpHeader.h"
+#include "HttpReply.h"
 #include "Mem.h"
 #include "MemObject.h"
-#include "HttpHeader.h"
-#include "HttpReply.h"
+#include "Store.h"
 #include "StoreFileSystem.h"
+#include "SwapDir.h"
+#include "testCoss.h"
 #include "testStoreSupport.h"
 
 #if HAVE_STDEXCEPT

=== modified file 'src/tests/testDiskIO.cc'
--- src/tests/testDiskIO.cc	2012-08-14 11:53:07 +0000
+++ src/tests/testDiskIO.cc	2012-08-21 10:50:23 +0000
@@ -1,17 +1,17 @@
 #define SQUID_UNIT_TEST 1
 
 #include "squid.h"
-#include "testDiskIO.h"
+#include "DiskIO/DiskIOModule.h"
 #include "Store.h"
 #include "SwapDir.h"
-#include "DiskIO/DiskIOModule.h"
+#include "testDiskIO.h"
 #if 0 // AYJ: COSS in Squid-3 is disabled.
 #include "fs/coss/CossSwapDir.h"
 #endif
+#include "HttpHeader.h"
+#include "HttpReply.h"
 #include "Mem.h"
 #include "MemObject.h"
-#include "HttpHeader.h"
-#include "HttpReply.h"
 #include "StoreFileSystem.h"
 #include "testStoreSupport.h"
 

=== modified file 'src/tests/testEventLoop.cc'
--- src/tests/testEventLoop.cc	2012-08-14 11:53:07 +0000
+++ src/tests/testEventLoop.cc	2012-08-21 10:50:23 +0000
@@ -3,10 +3,10 @@
 
 #include <cppunit/TestAssert.h>
 
-#include "testEventLoop.h"
 #include "EventLoop.h"
 #include "Mem.h"
 #include "protos.h"
+#include "testEventLoop.h"
 
 CPPUNIT_TEST_SUITE_REGISTRATION( testEventLoop );
 

=== modified file 'src/tests/testHttpParser.cc'
--- src/tests/testHttpParser.cc	2012-08-14 11:53:07 +0000
+++ src/tests/testHttpParser.cc	2012-08-21 10:50:23 +0000
@@ -3,11 +3,11 @@
 
 #include <cppunit/TestAssert.h>
 
-#include "testHttpParser.h"
 #include "HttpParser.h"
 #include "Mem.h"
 #include "MemBuf.h"
 #include "structs.h"
+#include "testHttpParser.h"
 
 
 CPPUNIT_TEST_SUITE_REGISTRATION( testHttpParser );

=== modified file 'src/tests/testHttpReply.cc'
--- src/tests/testHttpReply.cc	2012-08-14 11:53:07 +0000
+++ src/tests/testHttpReply.cc	2012-08-21 10:50:23 +0000
@@ -2,10 +2,10 @@
 #include "squid.h"
 #include <cppunit/TestAssert.h>
 
-#include "testHttpReply.h"
 #include "HttpReply.h"
 #include "Mem.h"
 #include "protos.h"
+#include "testHttpReply.h"
 
 CPPUNIT_TEST_SUITE_REGISTRATION( testHttpReply );
 

=== modified file 'src/tests/testHttpRequest.cc'
--- src/tests/testHttpRequest.cc	2012-08-14 11:53:07 +0000
+++ src/tests/testHttpRequest.cc	2012-08-21 10:50:24 +0000
@@ -3,10 +3,10 @@
 
 #include <cppunit/TestAssert.h>
 
-#include "testHttpRequest.h"
 #include "HttpRequest.h"
 #include "Mem.h"
 #include "protos.h"
+#include "testHttpRequest.h"
 
 
 CPPUNIT_TEST_SUITE_REGISTRATION( testHttpRequest );

=== modified file 'src/tests/testHttpRequestMethod.cc'
--- src/tests/testHttpRequestMethod.cc	2012-08-14 11:53:07 +0000
+++ src/tests/testHttpRequestMethod.cc	2012-08-21 10:50:23 +0000
@@ -3,9 +3,9 @@
 #include "squid.h"
 #include <cppunit/TestAssert.h>
 
+#include "HttpRequestMethod.h"
 #include "Mem.h"
 #include "testHttpRequestMethod.h"
-#include "HttpRequestMethod.h"
 
 #if HAVE_SSTREAM
 #include <sstream>

=== modified file 'src/tests/testNull.cc'
--- src/tests/testNull.cc	2012-08-14 11:53:07 +0000
+++ src/tests/testNull.cc	2012-08-21 10:50:23 +0000
@@ -1,15 +1,15 @@
 #define SQUID_UNIT_TEST 1
 #include "squid.h"
-#include "testNull.h"
-#include "Store.h"
-#include "SwapDir.h"
 #include "DiskIO/DiskIOModule.h"
 #include "fs/null/store_null.h"
+#include "HttpHeader.h"
+#include "HttpReply.h"
 #include "Mem.h"
 #include "MemObject.h"
-#include "HttpHeader.h"
-#include "HttpReply.h"
+#include "Store.h"
 #include "StoreFileSystem.h"
+#include "SwapDir.h"
+#include "testNull.h"
 #include "testStoreSupport.h"
 
 #if HAVE_STDEXCEPT

=== modified file 'src/tests/testStatHist.cc'
--- src/tests/testStatHist.cc	2012-01-20 18:55:04 +0000
+++ src/tests/testStatHist.cc	2012-08-21 10:50:23 +0000
@@ -1,7 +1,7 @@
 #define SQUID_UNIT_TEST 1
 #include "squid.h"
+#include "StatHist.h"
 #include "testStatHist.h"
-#include "StatHist.h"
 
 CPPUNIT_TEST_SUITE_REGISTRATION(testStatHist);
 

=== modified file 'src/tests/testStore.cc'
--- src/tests/testStore.cc	2012-08-14 11:53:07 +0000
+++ src/tests/testStore.cc	2012-08-21 10:50:23 +0000
@@ -1,8 +1,8 @@
 #define SQUID_UNIT_TEST 1
 
 #include "squid.h"
+#include "Store.h"
 #include "testStore.h"
-#include "Store.h"
 
 CPPUNIT_TEST_SUITE_REGISTRATION( testStore );
 

=== modified file 'src/tests/testStoreController.cc'
--- src/tests/testStoreController.cc	2012-08-14 11:53:07 +0000
+++ src/tests/testStoreController.cc	2012-08-21 10:50:23 +0000
@@ -2,13 +2,13 @@
 
 #include "squid.h"
 
-#include "testStoreController.h"
+#include "Mem.h"
+#include "SquidTime.h"
 #include "Store.h"
+#include "StoreSearch.h"
 #include "SwapDir.h"
+#include "testStoreController.h"
 #include "TestSwapDir.h"
-#include "Mem.h"
-#include "SquidTime.h"
-#include "StoreSearch.h"
 
 CPPUNIT_TEST_SUITE_REGISTRATION( testStoreController );
 

=== modified file 'src/tests/testStoreEntryStream.cc'
--- src/tests/testStoreEntryStream.cc	2012-08-14 11:53:07 +0000
+++ src/tests/testStoreEntryStream.cc	2012-08-21 10:50:23 +0000
@@ -1,12 +1,12 @@
 #define SQUID_UNIT_TEST 1
 
 #include "squid.h"
+#include "CapturingStoreEntry.h"
 #include "Mem.h"
+#include "Store.h"
+#include "StoreEntryStream.h"
 #include "testStore.h"
 #include "testStoreEntryStream.h"
-#include "CapturingStoreEntry.h"
-#include "Store.h"
-#include "StoreEntryStream.h"
 
 #if HAVE_IOMANIP
 #include <iomanip>

=== modified file 'src/tests/testStoreHashIndex.cc'
--- src/tests/testStoreHashIndex.cc	2012-08-14 11:53:07 +0000
+++ src/tests/testStoreHashIndex.cc	2012-08-21 10:50:24 +0000
@@ -2,14 +2,14 @@
 
 #include "squid.h"
 
-#include "testStoreHashIndex.h"
+#include "Mem.h"
+#include "SquidTime.h"
 #include "Store.h"
+#include "StoreHashIndex.h"
+#include "StoreSearch.h"
 #include "SwapDir.h"
+#include "testStoreHashIndex.h"
 #include "TestSwapDir.h"
-#include "StoreHashIndex.h"
-#include "Mem.h"
-#include "StoreSearch.h"
-#include "SquidTime.h"
 
 CPPUNIT_TEST_SUITE_REGISTRATION( testStoreHashIndex );
 

=== modified file 'src/tests/testStoreSupport.cc'
--- src/tests/testStoreSupport.cc	2012-01-20 18:55:04 +0000
+++ src/tests/testStoreSupport.cc	2012-08-21 10:50:23 +0000
@@ -33,10 +33,10 @@
 
 #define SQUID_UNIT_TEST 1
 #include "squid.h"
-#include "testStoreSupport.h"
 #include "event.h"
 #include "EventLoop.h"
 #include "SquidTime.h"
+#include "testStoreSupport.h"
 
 /* construct a stock loop with event dispatching, a time service that advances
  * 1 second a tick

=== modified file 'src/tests/testString.cc'
--- src/tests/testString.cc	2012-01-20 18:55:04 +0000
+++ src/tests/testString.cc	2012-08-21 10:50:24 +0000
@@ -1,10 +1,10 @@
 #define SQUID_UNIT_TEST 1
 #include "squid.h"
 
+#include "event.h"
+#include "Mem.h"
+#include "SquidString.h"
 #include "testString.h"
-#include "SquidString.h"
-#include "Mem.h"
-#include "event.h"
 
 CPPUNIT_TEST_SUITE_REGISTRATION( testString );
 

=== modified file 'src/tests/testURL.cc'
--- src/tests/testURL.cc	2012-01-20 18:55:04 +0000
+++ src/tests/testURL.cc	2012-08-21 10:50:24 +0000
@@ -3,9 +3,9 @@
 
 #include <cppunit/TestAssert.h>
 
+#include "Mem.h"
 #include "testURL.h"
 #include "URL.h"
-#include "Mem.h"
 
 #if HAVE_SSTREAM
 #include <sstream>

=== modified file 'src/tests/test_http_range.cc'
--- src/tests/test_http_range.cc	2012-01-20 18:55:04 +0000
+++ src/tests/test_http_range.cc	2012-08-21 10:50:23 +0000
@@ -41,8 +41,8 @@
 
 /** \todo CLEANUP: This file shoudl be called something_stub.cc */
 
+#include "HttpHeader.h"
 #include "HttpHeaderRange.h"
-#include "HttpHeader.h"
 #include "Mem.h"
 
 #if 0

=== modified file 'src/tools.cc'
--- src/tools.cc	2012-08-15 15:17:32 +0000
+++ src/tools.cc	2012-08-21 10:50:24 +0000
@@ -33,20 +33,20 @@
  */
 
 #include "squid.h"
+#include "anyp/PortCfg.h"
 #include "base/Subscription.h"
 #include "fde.h"
 #include "htcp.h"
 #include "ICP.h"
 #include "ip/Intercept.h"
 #include "ip/QosConfig.h"
+#include "ipc/Coordinator.h"
+#include "ipc/Kids.h"
+#include "ipcache.h"
 #include "MemBuf.h"
-#include "anyp/PortCfg.h"
+#include "protos.h"
 #include "SquidMath.h"
 #include "SquidTime.h"
-#include "ipc/Kids.h"
-#include "ipc/Coordinator.h"
-#include "ipcache.h"
-#include "protos.h"
 #include "SwapDir.h"
 #include "wordlist.h"
 

=== modified file 'src/tunnel.cc'
--- src/tunnel.cc	2012-08-15 15:17:32 +0000
+++ src/tunnel.cc	2012-08-21 10:50:28 +0000
@@ -34,19 +34,19 @@
  */
 
 #include "squid.h"
-#include "errorpage.h"
-#include "HttpRequest.h"
-#include "fde.h"
+#include "acl/FilledChecklist.h"
 #include "Array.h"
+#include "client_side.h"
+#include "client_side_request.h"
 #include "comm.h"
 #include "comm/Connection.h"
 #include "comm/ConnOpener.h"
 #include "comm/Write.h"
-#include "client_side_request.h"
-#include "acl/FilledChecklist.h"
-#include "client_side.h"
+#include "errorpage.h"
+#include "fde.h"
+#include "http.h"
+#include "HttpRequest.h"
 #include "MemBuf.h"
-#include "http.h"
 #include "PeerSelectState.h"
 #include "protos.h"
 #include "StatCounters.h"

=== modified file 'src/ufsdump.cc'
--- src/ufsdump.cc	2012-01-20 18:55:04 +0000
+++ src/ufsdump.cc	2012-08-21 10:50:28 +0000
@@ -33,11 +33,11 @@
  */
 
 #include "squid.h"
+#include "Generic.h"
+#include "mgr/Registration.h"
+#include "Store.h"
 #include "StoreMeta.h"
 #include "StoreMetaUnpacker.h"
-#include "Store.h"
-#include "Generic.h"
-#include "mgr/Registration.h"
 
 #undef malloc
 #undef free

=== modified file 'src/unlinkd.cc'
--- src/unlinkd.cc	2012-08-14 11:53:07 +0000
+++ src/unlinkd.cc	2012-08-21 10:50:28 +0000
@@ -36,11 +36,11 @@
 #include "squid.h"
 #include "fde.h"
 #include "globals.h"
-#include "xusleep.h"
 #include "protos.h"
 #include "SquidTime.h"
 #include "StatCounters.h"
 #include "SwapDir.h"
+#include "xusleep.h"
 
 /* This code gets linked to Squid */
 

=== modified file 'src/urn.cc'
--- src/urn.cc	2012-08-14 11:53:07 +0000
+++ src/urn.cc	2012-08-21 10:50:25 +0000
@@ -35,16 +35,16 @@
 
 #include "squid.h"
 #include "errorpage.h"
-#include "StoreClient.h"
-#include "Store.h"
+#include "forward.h"
+#include "globals.h"
 #include "HttpReply.h"
 #include "HttpRequest.h"
+#include "icmp/net_db.h"
 #include "MemBuf.h"
-#include "forward.h"
-#include "globals.h"
+#include "protos.h"
 #include "SquidTime.h"
-#include "icmp/net_db.h"
-#include "protos.h"
+#include "Store.h"
+#include "StoreClient.h"
 
 #define	URN_REQBUF_SZ	4096
 

=== modified file 'src/whois.cc'
--- src/whois.cc	2012-08-15 15:17:32 +0000
+++ src/whois.cc	2012-08-21 10:50:28 +0000
@@ -37,10 +37,10 @@
 #include "comm.h"
 #include "comm/Write.h"
 #include "errorpage.h"
+#include "forward.h"
 #include "HttpReply.h"
 #include "HttpRequest.h"
 #include "HttpRequest.h"
-#include "forward.h"
 #include "protos.h"
 #include "StatCounters.h"
 #include "Store.h"

=== modified file 'src/wordlist.cc'
--- src/wordlist.cc	2012-01-20 18:55:04 +0000
+++ src/wordlist.cc	2012-08-21 10:50:28 +0000
@@ -34,8 +34,8 @@
  */
 
 #include "squid.h"
+#include "MemBuf.h"
 #include "wordlist.h"
-#include "MemBuf.h"
 
 void
 wordlistDestroy(wordlist ** list)

=== modified file 'test-suite/mem_hdr_test.cc'
--- test-suite/mem_hdr_test.cc	2012-08-15 17:01:06 +0000
+++ test-suite/mem_hdr_test.cc	2012-08-21 10:50:23 +0000
@@ -35,10 +35,10 @@
  */
 
 #include "squid.h"
+#include "base/TextException.h"
+#include "Generic.h"
+#include "mem_node.h"
 #include "stmem.h"
-#include "mem_node.h"
-#include "Generic.h"
-#include "base/TextException.h"
 
 #if HAVE_IOSTREAM
 #include <iostream>

=== modified file 'test-suite/syntheticoperators.cc'
--- test-suite/syntheticoperators.cc	2012-08-14 11:53:07 +0000
+++ test-suite/syntheticoperators.cc	2012-08-21 10:50:23 +0000
@@ -34,8 +34,8 @@
  */
 
 #include "squid.h"
+#include "mem_node.h"
 #include "stmem.h"
-#include "mem_node.h"
 
 #if HAVE_IOSTREAM
 #include <iostream>

=== modified file 'tools/purge/purge.cc'
--- tools/purge/purge.cc	2012-08-15 00:13:13 +0000
+++ tools/purge/purge.cc	2012-08-21 10:50:23 +0000
@@ -122,12 +122,12 @@
 #include <arpa/inet.h>
 #include <netdb.h>
 
+#include "conffile.hh"
 #include "convert.hh"
+#include "copyout.hh"
+#include "signal.hh"
 #include "socket.hh"
-#include "signal.hh"
 #include "squid-tlv.hh"
-#include "copyout.hh"
-#include "conffile.hh"
 
 #ifndef DEFAULTHOST
 #define DEFAULTHOST "localhost"

